# -*- RD -*-

= NEWS

== Ruby-GNOME2 2.0.2: 2013-05-26

Windows XP re-supportted release!

=== Changes

==== Ruby/GLib2

  * Improvements
    * Added rbgutil_key_equal() convenient function.
      It is used for comparing key that may be String or Symbol.

==== Ruby/Pango

  * Improvements
    * [windows] Forced to disable uniscribe backend of HarfBuzz.
      [ruby-list:49412] [Reported by Masafumi Yokoyama]
    * Don't define Pango::CairoFcFontMap and Pango::CairoWin32FontMap
      because they may cause crash on OS X.
      [shocker-ja:1119] [Reported by znz]
    * Updated samples.
      [GitHub#164] [Patch by Kentaro Fukuchi]
  * Fixes
    * Fixed wrong index access in Pango::GlyphString#glyphs.
      [ruby-gnome2-devel-ja] [Reported by Kentaro Fukuchi]

=== Thanks

  * Kentaro Fukuchi
  * Masafumi Yokoyama
  * znz

== Ruby-GNOME2 2.0.1: 2013-05-25

Ruby 1.8 support is dropped release!

=== Changes

==== All

  * Improvements
    * Dropped Ruby 1.8 support.
    * Updated bundled binaries versions for Windows.

==== Ruby/Pango

  * Improvements
    * Added Pango::CairoFontMap.set_default.
    * Enabled fontconfig font on Windows.
    * Defined Pango::CairoFcFontMap on init if it is available.
    * Defined Pango::CairoWin32FontMap on init if it is available.

==== Ruby/GTK3

  * Improvements
    * Added Gtk::Image#set_from_icon_set.
      [GitHub#150] [Patch by Detlef Reichl]
    * Added Gtk::Image#set_from_stock.
      [GitHub#150] [Patch by Detlef Reichl]
    * Added Gtk::Image#set_from_gicon.
      [GitHub#150] [Patch by Detlef Reichl]
    * Updated samples.
      [GitHUb#151] [Patch by Detlef Reichl]
  * Fixes
    * Fixed a GC related crash bug.
      [ruby-gnome2-devel-en] [Reported by Detlef Reichl]

==== Ruby/GObjectIntrospection

  * Improvements
    * Supported ownership transfer for some input argument types.
      (Struct and Object)
    * Supported "(out caller-allocates)" for boxed object.
      [ruby-gnome2-devel-ja] [Reported by Kentaro Fukuchi]
    * Supported gpointer in/out.
      [ruby-gnome2-devel-ja] [Reported by NAKAJIMA Takashi]
  * Fixes
    * Fixed missing argument.
      [GitHub#154] [Reported by Masafumi Yokoyama]

==== RubyGStreamer

  * Improvements
    * Supported methods that call callback
      [ruby-gnome2-devel-ja] [Reported by NAKAJIMA Takashi]
    * Updated samples.
      [GitHub#156][GitHub#159][GitHub#160][GitHub#161]
      [Patch by NAKAJIMA Takashi]
    * Supported Gst::Bus#set_handler.
      [ruby-gnome2-devel-ja] [Reported by NAKAJIMA Takashi]
    * Supported Gst::Controller
      [ruby-gnome2-devel-ja] [Suggested by NAKAJIMA Takashi]
    * Stopped to require Gst.init.
  * Fixes
    * Fixed out of index access bug.

==== Ruby/GooCanvas

  * Improvements
    * Migrated to Ruby/GObjectIntrospection based bindings.
    * Stopped to require Goo.init.
  * Fixes
    * Updated samples.
      [GitHub#152][GitHub#153][GitHub#155][GitHub#157]
      [Patch by Masafumi Yokoyama]

==== Ruby/Clutter

  * Improvements
    * Stopped to require Clutter.init.
  * Fixes
    * Fixed broken samples.
      [ruby-gnome2-devel-ja] [Patch by Kentaro Fukuchi]

==== Ruby/ClutterGtk

  * Improvements
    * Stopped to require ClutterGtk.init.

==== Ruby/ClutterGStreamer

  * Added.

==== Ruby/WebKitGtk

  * Improvements
    * Stopped to require WebKitGtk.init.

==== Ruby/WebKitGtk2

  * Improvements
    * Stopped to require WebKitGtk2.init.

=== Thanks

  * Detlef Reichl
  * NAKAJIMA Takashi
  * Masafumi Yokoyama
  * Kentaro Fukuchi

== Ruby-GNOME2 2.0.0: 2013-04-29

GObject Introspection based bindings on Windows support release!

=== Changes

==== NEWS

  * Fixes
    * Fixed a typo. [Reported by Masafumi Yokoyama]
    * FIxed a typo. [Reported by Toyo Abe]

==== Ruby/GLib2

  * Improvements
    * Moved lib/gnome2-*.rb files to lib/gnome2/ directory.
    * Supported GLib 2.34. [Reported by OBATA Akio]

==== Ruby/GdkPixbuf2

  * Fixes
    * [windows] Fixed PNG can't be handled problem.
      [ruby-gnoem2-devel-ja] [Reported by Masafumi Yokoyama]

==== Ruby/GDK3

  * Improvements
    * [windows] Removed needless Greybird theme.
      [ruby-gnome2-devel-en] [Reported by Regis d'Aubarede]
    * Added Gdk::Window#create_cairo_context
      [ruby-gnome2-devel-en] [Reported by Detlef Reichl]

==== Ruby/GTK3

  * Improvements
    * Updated samples.
      [GitHub #140][GitHub #141][GitHub #144]
      [Patch by Simon Arnaud]
      [GitHub #142][GitHub #143][GitHub #145][GitHub #146][GitHub #148]
      [Patch by Detlef Reichl]

==== Ruby/GObjectIntrospection

  * Improvements
    * [windows] Supported!

==== Ruby/GStreamer

  * Improvements
    * Supported GStreamer 1.0!
    * Migrated to GObject Introspection bindings!
    * Dropped GStreamer 0.10 support.

==== Ruby/Clutter

  * Improvements
    * [windows] Supported!

==== Ruby/ClutterGTK

  * Improvements
    * [windows] Supported!

=== Thanks

  * Masafumi Yokoyama
  * Toyo Abe
  * OBATA Akio
  * Regis d'Aubarede
  * Detlef Reichl
  * Simon Arnaud

== Ruby-GNOME2 1.2.6: 2013-04-02

Broken Ruby/Poppler fix release!

=== Changes

==== Ruby/GLib2

  * Improvements
    * Removed deprecated GLib::Completion.
    * Removed deprecated g_source_get_current_time() use.
    * [windows] Updated bundled GLib to 3.8.0.
    * [windows] Updated bundled glib-networking to 3.8.0.
    * [windows] Updated bundled GnuTLS to 3.1.10.

==== Ruby/ATK

  * Improvements
    * [windows] Updated bundled ATK to 2.8.0.

==== Ruby/GdkPixbuf2

  * Improvements
    * [windows] Updated bundled gdk-pixbuf to 2.28.0.

==== Ruby/Pango

  * Improvements
    * [windows] Updated bundled Pango to 1.34.0.

==== Ruby/GDK3

  * Improvements
    * [windows] Updated bundled GTK+ to 3.8.0.

==== Ruby/Poppler

  * Fixes
    * Fixed a bug that Poppler::Page#render is broken.
      [SF.net#184] [Reported by HARUYAMA Seigo]

==== Ruby/GooCanvas

  * Improvements
    * Added a Ruby/GObjectIntrospection based sample.
      [GitHub #139] [Patch by Masafumi Yokoyama]

=== Thanks

  * Masafumi Yokoyama
  * HARUYAMA Seigo

== Ruby-GNOME2 1.2.5: 2013-03-28

Crash bug fix release!

=== Changes

==== All

  * Fixes
    * Fixed crash bugs.
      [GitHub #138] [Reported by Takuma Nakajima]

=== Thanks

  * Takuma Nakajima

== Ruby-GNOME2 1.2.4: 2013-03-24

Ruby/WebKitGtk2 addition release!

=== Changes

==== All

  * Improvements
    * Start mswin64 support. (But it is not completed yet.)
      [GitHub #135] [Patch by usa]

==== Ruby/GLib2

  * Improvements
    * Reduce needless GBoxed object copy.

==== Ruby/GdkPixbuf2

  * Fixes
    * Fix build error by a typo.

==== Ruby/GtkSourceView2

  * Improvements
    * Support auto RPM install on CentOS 6.

==== Ruby/GObjectIntrospection

  * Improvements
    * Add method name to arguments validation failure message.
    * Support specific version loading.

==== Ruby/GTK3

  * Improvements
    * [windows] Add gschemas.compiled.
      [ruby-talk:406026] [Reported by Regis d'Aubarede]

==== Ruby/WebKitGtk2

  * New!
    [GitHub #136] [Patch by eumario]

=== Thanks

  * usa
  * Regis d'Aubarede
  * eumario

== Ruby-GNOME2 1.2.3: 2013-03-17

Clean up release!

=== Changes

==== Ruby/GTK2

  * Remove needless signale handlers restore.

==== Ruby/GTK3

  * Remove needless signale handlers restore.

== Ruby-GNOME2 1.2.2: 2013-03-11

Ruby 2.0.0 support release!

=== Changes

==== Ruby/GLib2

  * Improvements
    * Supported test on Ruby 2.0.0.
      [GitHub #134] [Reported by mtasaka]

==== Ruby/Poppler

  * Improvements
    * Removed deprecated GDK support.

==== Ruby/GDK3

  * Improvements
    * Supported Ruby 2.0.0.
      [GitHub#129] [Reported by TOMITA Masahiro]

==== Ruby/GObjectIntrospection

  * Improvements
    * Supported not GType based flags.
    * Supported not GType based enum.
    * Supported custom callback function.
    * Supported .h install.
    * Supported .pc install.
    * More Rubyish method names are used.
    * Stopped to raise exception when there are two or more out
      parameters.
    * Added Loader.start_callback_dispatch_thread().
    * Supported arguments validation.
    * Stopped to use array for just one return value.
    * Supported Enumerator.
    * Hide constructor methods.

==== Ruby/GtkSourceView3

  * Fixes
    * Fixed wrong deb package name.

==== Ruby/Clutter

  * Fixes
    * Fixed wrong initialized check.
    * Stopped to override Clutter.init unexpectedly.

==== Ruby/ClutterGTK

  * Fixes
    * Fixed wrong initialized check.

==== Ruby/WebKitGTK

  * Fixes
    * Fixed wrong initialized check.

=== Thanks

  * Vincent Carmona
    (for unreleased GObjectIntrospection based GStreamer bindings)
  * TOMITA Masahiro
  * NAKAJIMA Takashi
    (for unreleased GObjectIntrospection based GStreamer bindings)
  * mtasaka

== Ruby-GNOME2 1.2.1: 2013-01-30

GTK+ 3 support on Mac OS X release!

=== Changes

==== Ruby/GLib2

  * Improvements
    * Supported custom sudo prompt on auto native package install.
      [GitHub:126] [Suggested by Yorick Peterse]
    * Started to support JRuby. (It is not completed yet.)
      [GitHub:125] [Reported by vpereira]
    * Accepted unsigned long int size GType.
    * Removed DL support.
    * Don't call deprecated g_type_init() for GLib >= 2.35.1.

==== Ruby/GTK2

  * Fixes
    * Fixed a memory leak related Gtk::TreeIter.
      [GitHub:128] [Patch by Toshiaki Asai]

==== Ruby/GTK3

  * Fixes
    * Fixed a memory leak related Gtk::TreeIter.
      [GitHub:128] [Patch by Toshiaki Asai]
    * Fixed a crash bug caused by symbol conflict with Ruby/GDK3 on
      Mac OS X.
      [GitHub:127] [Reported by Sergio Campama] [Helped by Watson]

==== Ruby/GDK3

  * Improvements
    * [windows] Bundled Greybird theme.
      [Suggested by Regis d'Aubarede]

==== Ruby/GooCanvas

  * Improvements
    * Added Goo::Canvas#get_items_at [GitHub:124] [Patch by David Maciejak]

==== Ruby/WebKitGTK

  * Added

==== Ruby/GtkSourceView3

  * Improvements
    * Supported Windows.

=== Thanks

  * David Maciejak
  * Yorick Peterse
  * vpereira
  * Toshiaki Asai
  * Sergio Campama
  * Watson
  * Regis d'Aubarede

== Ruby-GNOME2 1.2.0: 2013-01-24

GTK+ 3 support release!

=== Changes

==== All

  * Added ruby-gtk3 package. Here is a list:
    * Ruby/GLib2
    * Ruby/ATK
    * Ruby/Pango
    * Ruby/GdkPixbuf2
    * Ruby/GDK3
    * Ruby/GTK3

==== Ruby/GLib2

  * Improvements
    * Supported custom VALUE <-> GBoxed conversion
    * Supported VALUE <-> GBoxed conversion by RVAL2GOBJ
    * Added GLib::Source::REMOVE
    * Added GLib::Source::CONTINUE
    * Added rbgobj_make_boxed_raw()
    * Added GLib::Value for internal use
    * [windows] Updated to the latest GLib: 2.28.8-1 -> 2.34.3
  * Changes
    * Removed deprecated GLib::Win32.get_package_installation_directory
    * Removed deprecated GLib::Win32.get_package_installation_subdirectory
    * Added user_data to RGConvertTable callbacks
    * rbgobj_convert_define() copies passed RGConvertTable
    * Removed deprecated G_DEF_FUNDAMENTAL. Use RG_DEF_CONVERSION instead

==== Ruby/GIO2

  * Improvements
    * Installed headers

==== Ruby/ATK

  * Improvements
    * [windows] Updated to the latest ATK: 1.32.0 -> 2.6.0

==== Ruby/Pango

  * Improvements
    * [windows] Updated to the latest Pango: 1.28.3 -> 1.32.6

==== Ruby/GdkPixbuf2

  * Improvements
    * [windows] Updated to the latest gdk-pixbuf: 2.24.0 -> 2.26.5

==== Ruby/GTK2

  * Improvements
    * Removed needless not copy flag from Allocation
    * [windows] Updated to the latest GTK+ 2: 2.24.8 -> 2.24.14

==== Ruby/GDK3

  * Improvements
    * [windows] Supported: 3.6.4

==== Ruby/GTK3

  * Improvements
    * Removed needless not copy flag from Allocation
    * [windows] Supported: 3.6.4

==== Ruby/GObjectIntrospection

  * Improvements
    * Supported over loaded method
    * Supported over loaded constructor
    * Supported GBoxed object
    * Supported char *
    * Supported GInterface
    * Supported CallableInfo
    * Supported may be null
    * Supported union object
    * Supported not GBoxed struct
    * Supported out parameter
    * Supported C array
    * Added "?" suffix to predicate method name
    * Supported SourceFunc callback
    * Supported GValue
    * Added GObjectIntrospection::Loader.register_boxed_class_converter
    * Supported inout parameter
    * Supported binary data array
  * Changes
    * ArgInfo#[] -> ArgInfo#get_arg

==== Ruby/CairoGObject

  * Added

==== Ruby/Clutter

  * Added

==== Ruby/ClutterGtk

  * Added

== Ruby-GNOME2 1.1.9: 2012-12-29

This is a experimental GObjectIntrospection support release.

=== Changes

==== Ruby/GLib2

  * Improvements
    * Renamed G_DEF_CLASS4 to G_DEF_CLASS_WITH_PARENT.
      G_DEF_CLASS4 is still usable but it is deprecated.

==== Ruby/GObjectIntrospection

  * Added. It is still experimental.

== Ruby-GNOME2 1.1.8: 2012-12-19

This is a bug fix release for Ruby 2.0.0.

=== Changes

==== All

  * Fixes
    * Fixed a bug that *.so isn't installed with Ruby 2.0.0.

== Ruby-GNOME2 1.1.7: 2012-12-10

This is a package for Windows fix release.

=== Changes

==== Ruby/GTK2

  * Fixes
    * Bundled GTK+ 2.24.8-1 instead of GTK+ 2.24.10-1.
      [Reported by Mahoro Shimura]

=== Thanks

  * Mahoro Shimura

== Ruby-GNOME2 1.1.6: 2012-12-02

This is Ruby 2.0.0 support release!

=== Changes

==== All

  * Fixes
    * Fixed install error on Ruby 2.0.0.
      [ruby-gnome2-devel-en] Recent Ruby: 'depend' files must be changed
      [Reported by Carlo E. Prelz]

==== Ruby/GLib2

  * Improvements
    * Improved portability a bit. '$,' is used instead of rb_output_fs.
      [GktHub:#117] [Reported by Marvin Gülker]

==== Ruby/GIO2

  * Fixes
    * Fixed a crash bug on i386. [Reported by TAKATSU Tomonari]

==== Ruby/GTK2

  * Improvements
    * Added Gtk::TreeModel#iter_root. [GitHub:121] [Patch by dmaciejak]
    * Added Gtk::TreeModel#iter_next. [GitHub:121] [Patch by dmaciejak]

==== Ruby/GdkPixbuf2

  * Fixes
    * Fixed build errors with old gdk-pixbuf.

==== Ruby/Poppler

  * Improvements
    * Added missing required Poppler version.
      [Suggested by Grant Schoep]
      [ruby-gnome2-devel-en] poppler, build fails, incorrect
      required_pkg_config_package?

  * Fixes
    * Fixed a wrong package name on Red Hat and Fedora.
      [Reported by Grant Schoep]
      [ruby-gnome2-devel-en] poppler, build fails, incorrect
      required_pkg_config_package?

  * Changes
    * Disabled auto Poppler install for Homebrew. It requires
      --with-glib option but auto install with --with-glib option
      isn't supported yet.

==== Ruby/GooCanvas

  * Improvements
    * Added Goo::Canvas#update. [GitHub:119] [Patch by dmaciejak]
    * Added Goo::Canvas#request_update. [GitHub:119] [Patch by dmaciejak]
    * Added Goo::Canvas#convert_from_pixels. [GitHub:123] [Patch by dmaciejak]
    * Added Goo::Canvas#convert_to_pixels. [GitHub:123] [Patch by dmaciejak]
    * Added Goo::Canvas#get_item_at. [GitHub:123] [Patch by dmaciejak]
    * Added Goo::Canvas#bounds. [GitHub:123] [Patch by dmaciejak]

==== Ruby/GStreamer

  * Improvements
    * Don't pass -h and --help to GStreamer.
      [GitHub:#118] [Reported by dmaciejak]

=== Thanks

  * TAKATSU Tomonari
  * dmaciejak
  * Grant Schoep
  * Carlo E. Prelz
  * Marvin Gülker

== Ruby-GNOME2 1.1.5: 2012-08-29

This is a network support improvement release!

=== Changes

==== Ruby/GLib2

  * Improvements
    * windows: Bundled glib-networking.

==== Ruby/GIO2

  * Improvements
    * Added Gio::TlsCertificate.
    * Added Gio::TlsCertificateFlags.

==== Ruby/GTK2

  * Improvements
    * Added Gtk.show_uri.

  * Fixes
    * Gtk::TreeStore#reorder:
      Fixed wrong the number of reorder values check.
      [SF.net#3561748] [Reported by Nounou]

=== Thanks

  * Nounou

== Ruby-GNOME2 1.1.4: 2012-07-21

This is a easy to install release!

=== Changes

==== All

  * Improvements
    * Supported automatic required native packages install.

==== Ruby/GLib2

  * Improvements
    * mkenums: Supported "/* < flags > */" tag.
    * mkenums: Supported two or more upper case characters such as "IO".
      * Before: GIOStatus -> g_iostatus
      * After:  GIOStatus -> g_io_status
    * GIOCondition: Changed to GLib::Boxed object from integer.
    * GLib::Source#attach doesn't require context.

  * Fixes
    * Fixed wrong type conversion for GIOCondition.

==== Ruby/GIO2

  * Improvements
    * Gio::Socket#create_source: Supported callback.

  * Fixes
    * Fixed return values.
    * Fixed wrong type conversions.

==== Ruby/GTK2

  * Improvements
    * Re-supported GTK+ 2.10.0. [GitHub:115] [Patch by Grant Schoep]

  * Fixes
    * Fixed a typo in test script.
      [GitHub:109] [Reported by kimura wataru]

==== Ruby/GStreamer

  * Fixes
    * Fixed a test failure with GStreamer 0.10.36.
      [GitHub:111] [Reported by mtasaka]

=== Thanks

  * kimura wataru
  * mtasaka
  * Grant Schoep

== Ruby-GNOME2 1.1.3: 2012-04-08

This is a bug fix release of 1.1.2.

=== Changes

==== Ruby/GLib2

  * Improvements
    * Added required Ruby version into gemspec.
    * [GitHub#106] glib-mkenums.rb supported macro lines in header.
      This change is required for building with GLib 2.31.20.
      [Reported by mtasaka]
    * [GitHub#107] Supported tests on PPC.
      [Reported by mtasaka]
  * Fixes
    * Fixed handler_id type.

==== Ruby/GTK2

  * Improvements
    * Added Gtk::TreeViewColumn#set_sort_column_id and
      Gtk::TreeViewColumn#sort_column_id= for GTK+ < 2.18.
      [ruby-gnome2-devel-en] Gtk::TreeViewColumn
      [Reported by grant schoep]
    * Added Gtk::InfoBar.
    * Added Gtk::MessageType.
    * Added Gtk::ResponseType.
  * Fixes
    * Fixed build failure with GTK+ < 2.12.
      [ruby-gnome2-devel-en] compile problems gtk2, ruby-gnome2-all-1.1.2
      [Reported by grant schoep]
    * Fixed require failure with GTK+ < 2.14.
      [ruby-gnome2-devel-en] NameError: undefined method
      `color_selection' for class `Gtk::ColorSelectionDialog'
      [Reported by grant schoep]

==== Ruby/Poppler

  * Improvements
    * [GitHub#97] Added Poppler::Page#text_layout.
      [Patch by Andrey Kutejko]
    * [SF.net#3495948] Removed needless poppler-cairo check.
      [Reported by Pino Toscano]
  * Fixes
    * [GitHub#96] Fixed valid state of child index iterator.
      [Patch by Andrey Kutejko]
    * [GitHub#97] Fixed parameter check of Poppler::Page#get_text.
      [Patch by Andrey Kutejko]

==== Ruby/VTE

  * Fixes
    * Fixed build failure with VTE < 0.24.

==== Ruby/GStreamer

  * Improvements
    * Added Gst::Element#seek_simple.
  * Fixes
    * [GitHub#95] Fixed async test.
      [Reported by mtasaka]

=== Thanks

  * mtasaka
  * grant schoep
  * Andrey Kutejko
  * Pino Toscano

== Ruby-GNOME2 1.1.2: 2012-01-15

This is a bug fix release of 1.1.1.

=== Changes

==== Ruby/GLib2

  * Fixes
    * [GitHub#94] install missing header files.
      [Reported by mtasaka]

==== Ruby/Pango

  * Fixes
    * [GitHub#94] install a missing header file.
      [Reported by mtasaka]

==== Ruby/GdkPixbuf2

  * Fixes
    * [GitHub#94] install missing header files.
      [Reported by mtasaka]

=== Thanks

  * mtasaka

== Ruby-GNOME2 1.1.1: 2012-01-14

This is a bug fix release of 1.1.0.

=== Changes

==== Ruby/GLib2

  * Fixes
    * [ruby-list:48587] Re: [ANN] Ruby-GNOME2 1.1.0
      fix wrong parent class for GLib::IOChannelWin32Socket.
      [Reported by ashbb]

==== Ruby/GTK2

  * Fixes
    * Fixed a bug that Gtk::ActionGroup#add_radio_actions always fail.

==== Ruby/GStreamer

  * Improvements
    * [win32] Supported FLAC.

=== Thanks

  * ashbb

== Ruby-GNOME2 1.1.0: 2012-01-05

This is a source cleanup release.

=== Changes

==== Ruby/GLib2

  * Improvements
    * [GitHub#65] Supported GLib 2.31. [Reported by mtasaka]
    * Supported comparing between GLib::Enum/GLib::Flags and Symbol.
  * Fixes
    * [GitHub#1] Fix GLib::Spawn regression.
      [Patch by Geoff Youngs]
    * Plugged memory leaks.
    * Fixed a crash by GC on Ruby 1.9.
  * Changes
    * Remove optional Ruby-GetText-Package dependency.

==== Ruby/GTK2

  * Improvements
    * [ruby-gnome2-devel-en] FileChooserDialog raising warnings on Windows:
      Added hicolor-icon-theme into gem on Windows.
      [Suggested by Nikolai Weibull]
  * Fixes
    * Fixed a crash by GC.
    * Plugged memory leaks.
    * Fixed Gdk::GC#colormap= uses wrong value.
    * Fixed Gtk::TextBuffer#serialize uses wrong value.

==== Ruby/Pango

  * Fixes
    * Plugged memory leaks.

==== Ruby/GdkPixbuf

  * Improvements
    * Gdk::Pixbuf.new supports hash argument.
  * Fixes
    * Plugged memory leaks.

==== Ruby/GStreamer

  * Improvements
    * Supported Windows gem.
    * Improved memory management.
  * Fixes
    * [GitHub#86] Gstreamer: test_caps test fails. [Reported by mtasaka]
    * [GitHub#87] GStreamer: test_span test fails. [Reported by mtasaka]
    * [GitHub#87] GStreamer: test_create_clock test fails.
      [Reported by mtasaka]
    * [GitHub#89] GStreamer: test_fraction_range_new test fails.
      [Reported by mtasaka]
    * [GitHub#91] GStreamer: test_state "sometimes" fails.
      [Reported by mtasaka]

==== Ruby/Poppler

  * Fixes
    * Fixed a wrong conversion in Poppler::Document#find_dest.
      [Reported by Chloé Desoutter]

=== Thanks

  * Geoff Youngs
  * mtasaka
  * Chloé Desoutter
  * Nikolai Weibull

== Ruby-GNOME2 1.0.3: 2011-09-19

This is a bug fix release of 1.0.2.

=== Changes

==== Ruby/GLib2

  * Fixes
    * [#3411234] Supported RubyGems 1.8.6.
      [Tobias Pfeiffer, Kouhei Sutou]

=== Thanks

  * Tobias Pfeiffer

== Ruby-GNOME2 1.0.2: 2011-09-18

This is a bug fix release of 1.0.1.

=== Changes

==== Ruby/GLib2

  * Fixes
    * [#3411204] Supported RubyGems 1.8.6.
      [Tobias Pfeiffer, Kouhei Sutou]

==== Ruby/GTK2

  * Fixes
    * Fixed the default theme on Windows.
      [ashbb, Kouhei Sutou]

=== Thanks

  * Tobias Pfeiffer
  * ashbb

== Ruby-GNOME2 1.0.1: 2011-09-18

This is a bug fix release of 1.0.0.

=== Changes

==== Ruby/GLib2

  * Improvements
    * GLib::IOChannel.open supports Windows.
      [OBATA Akio, Kouhei Sutou]
    * Added RVAL2STRV_FREE(), CSTRFILENAME2RVAL(),
      RVAL2STRV, STRV2RVAL(), G_REPLACE_SET_PROPERTY(),
      G_REPLACE_GET_PROPERTY() and G_REPLACE_ACTION().
      [Nikolai Weibull]
  * Fixes
    * GLib::IOChannelWin32Socket.new uses raw socket handle
      not file descriptor.
      [NAKAMURA Usaku, Kouhei Sutou]

==== Ruby/GTK2

  * Fixes
    * [#3383158] removed non LANG=C characters to be
      buildable on LANG=C environment.
      [Antonio Terceiro, Kouhei Sutou]
    * Fixed Gtk::FileFilter#add_custom crash.
      [Jeff Moore, Kouhei Sutou]
    * Fixed initialization order.
      [ashbb, Kouhei Sutou]

==== Ruby/GooCanvas

  * Improvements
    * Supported binary bundled gem.
      [HAYASHI Kentaro]

==== Ruby/GtkSourceView2

  * Fixes
    * Fixed bundled binary directory path on Windows.
      [HAYASHI Kentaro]

==== Ruby/GtkMozEmbed

  * Deprecated.

=== Thanks

  * Antonio Terceiro
  * OBATA Akio
  * NAKAMURA Usaku
  * HAYASHI Kentaro
  * Jeff Moore
  * ashbb
  * Nikolai Weibull

== Ruby-GNOME2 1.0.0: 2011-07-13

This is the first major release!!!

=== Changes

==== Document

  * Fixes
    * updated deprecated list in README.
      [Michal Suchanek, Kouhei Sutou]

==== Ruby/GLib2

  * Improvements
    * bind g_io_channel_win32_new_socket() as GLib::IOChannelWin32Socket.
      [Kouhei Sutou]

  * Fixes
    * [#3312572] added missing parentheses.
      [Evan Phoenix]

=== Thanks

  * Evan Phoenix
  * Michal Suchanek

== Ruby-GNOME2 0.90.9: 2011-06-11

NOTE: 0.90.x releases are for 1.0.0 major release.

This is the last release of 0.90.x series. The next release
will be 1.0.0!

=== Changes

==== All

  * Fixes
    * Fix a bug in version numbers.
      [Grant Schoep, Vincent Carmona]
    * Support 'bundle install' .

==== Ruby/GLib2

  * Improvements
    * Support GLib::IOChannel.new(fd) and GLib::IOChannel#fd on Windows.
    * GLib::IOChannel#write returns written byte not self.
      [backward incompatible]

==== Ruby/GTK2

  * Fixes
    * fix misc/bindings.rb sample (ruby 1.9).
      [Vincent Carmona]
    * [#3305589] fix Gtk::Window#add_accel_group misses
      a reference to accel group.
      [Piotr Korzuszek, Kouhei Sutou]
    * Support cairo related samples in Ruby 1.9.
      [Jon, Kouhei Sutou]

==== Ruby/GStreamer

  * Improvements
    * add Gst::Registry.update method.
      [Vincent Carmona]

==== Ruby/VTE

  * Fixes
    * [#3199587] fix pc install.
      [OBATA Akio, Kouhei Sutou]

==== Ruby/Poppler

  * Fixes
    * [#3292118] don't run needless tests.
      [Mamoru Tasaka, Kouhei Sutou]

==== Ruby/GtkSourceView2

  * Improvements
    * support Windows.
      [S.Kitagawa]

=== Thanks

  * OBATA Akio
  * Grant Schoep
  * Mamoru Tasaka
  * Piotr Korzuszek
  * S.Kitagawa
  * Jon

== Ruby-GNOME2 0.90.8: 2011-03-04

NOTE: 0.90.x releases are for 1.0.0 major release.

A bug fix release of 0.90.7.

=== Changes

==== All

  * Fixes
    * 'make distclean' does not removed pkg-config files.

==== Ruby/GLib2

  * Fixes
    * fix non-gem rcairo detection. [#3178228]
      [OBATA Akio, Kouhei Sutou]

==== Ruby/Atk

  * Fixes
    * fix 'make distclean' cleans needed a file.
      [Vincent Carmona]

==== Ruby/Pango

  * Fixes
    * fix 'make distclean' cleans needed a file.
      [Vincent Carmona]

==== Ruby/GTK2

  * Fixes
    * fix require order.
      [id:kenhys]
    * [#3046538] fix crash by GC at exit.
      [Vincent Carmona, Kouhei Sutou]
    * gtk-demo samples with ruby 1.9 (excepted cairo ones).
      [Vincent Carmona]

==== Ruby/GooCanvas

  * Fixes
    * fix pc install. [#3178294]
      [OBATA Akio, Kouhei Sutou]

==== Ruby/GStreamer

  * Improvements
    * improve missing message.
      [Vincent Carmona]
    * add Gst::InstallPlugins.
      [Vincent Carmona, Kouhei Sutou]

  * Fixes
    * fix pc install. [#3178294]
      [OBATA Akio, Kouhei Sutou]
    * don't use rbgprivate.h. [#3188442]
      [Mamoru Tasaka, Kouhei Sutou]

==== Ruby/GtkMozEmbed

  * Fixes
    * fix pc install. [#3178294]
      [OBATA Akio, Kouhei Sutou]

==== Ruby/GtkSourceView2

  * Fixes
    * fix pc install. [#3178294]
      [OBATA Akio, Kouhei Sutou]

=== Thanks

  * OBATA Akio
  * Vincent Carmona
  * id:kenhys
  * Mamoru Tasaka

== Ruby-GNOME2 0.90.7: 2011-02-02

NOTE: 0.90.x releases are for 1.0.0 major release.

A package fix release of 0.90.6.

=== Changes

==== Ruby/GLib2

  * Improvements
    * force remove "-Wl,--no-undefined" linker option because
      Ruby-GNOME2 packages doesn't support the option.
      [Dobai-Pataky Bálint, Kouhei Sutou]

==== Ruby/GTK2

  * Improvements
    * use "MS-Windows" GTK+ theme by default on Windows.
      [ashbb, Kouhei Sutou]

=== Thanks

  * ashbb
  * Dobai-Pataky Bálint

== Ruby-GNOME2 0.90.6: 2011-01-29

NOTE: 0.90.x releases are for 1.0.0 major release.

Removed deprecated packages. All supported packages support
RubyGems. All supported packages except Ruby/VTE,
Ruby/GStreamer and Ruby/GtkMozEmbed support also Windows
binary bundled gem.

=== Changes

==== All

  * remove all deprecated packages.
    [Masaaki Aoyagi]
  * all supported packages support RubyGems.
    [Masaaki Aoyagi]

==== Ruby/GLib2

  * Imrpovements
    * add gnome2-raketask.rb that is a utility library to
      define Rake tasks for Ruby-GNOME2 packages.
      [Masaaki Aoyagi, Kouhei Sutou]

  * Fixes
    * fix GType conversion.
      [Kouhei Sutou]
    * fix rcairo installed by RubyGems detection.
      [Masaaki Aoyagi]

==== Ruby/GIO2

  * Improvements
    * support GIO 2.26.
      [Nikolai Weibull]

==== Ruby/GStreamer

  * Improvements
    * add Gst::MissingURISourceMessage.
      [Vincent Carmona, Kouhei Sutou]
    * support RubyGems.
      [Masaaki Aoyagi]

==== Ruby/Pango

  * Fixes
    * rename Pango::LayoutIter#at_last_line! to
      at_last_line? because at_last_line is a predicate
      method. (at_last_line! still exists for backward compatibility.)
      [mrkn, Kouhei Sutou]

==== Ruby/GtkMozEmbed

  * Improvements
    * support RubyGems.
      [Masaaki Aoyagi]
  * Fixes
    * support "2.0b7" style module version. #3141244
      [reandr, Kouhei Sutou]

==== Ruby/GooCanvas

  * Improvements
    * support RubyGems.
      [Masaaki Aoyagi]

==== Ruby/GtkSourceView2

  * Improvements
    * support RubyGems.
      [Masaaki Aoyagi]

==== Ruby/VTE

  * Improvements
    * support RubyGems.
      [Masaaki Aoyagi]

=== Thanks

  * Vincent Carmona
  * mrkn
  * reandr
  * Nikolai Weibull
  * Masaaki Aoyagi

== Ruby-GNOME2 0.90.5: 2010-10-28

NOTE: 0.90.x releases are for 1.0.0 major release.

A build system improvements release.

=== Changes

==== All

  * Improvements
    * add --with-pkg-config-dir option to extconf.rb for *.pc.

==== Ruby/GLib2

  * Improvements
    * glib-mkenums.rb can work with Ruby 1.9 on LANG=C.
      [Kouhei Sutou]

  * Bug fixes
    * fix pkg-config gem dependency.
      [Kouhei Sutou]

== Ruby-GNOME2 0.90.4: 2010-10-24

NOTE: 0.90.x releases are for 1.0.0 major release.

A bug fix release of 0.90.3.

=== Changes

==== Ruby/GLib2

  * Bug fixes
    * add missing '*' for String type conversion. [#3093789]
      [tmtms, Kouhei Sutou]

==== Ruby/GIO2

  * Bug fixes
    * Remove needless cairo dependency.
      [OBATA Akio, Kouhei Sutou]

==== Ruby/Libglade2

  * Improvements
    * Don't install *.pc by default.
      [OBATA Akio, Kouhei Sutou]

=== Thanks

  * OBATA Akio
  * tmtms

== Ruby-GNOME2 0.90.3: 2010-10-23

NOTE: 0.90.x releases are for 1.0.0 major release.

  * Support String encoding in Ruby 1.9.
  * RVAL2CSTR2 and CSTR2RVAL2 are deprecated.
  * Ruby/GIO2 is imported as an experimental library.

=== Changes

==== All

  * Support String encoding.
    [Guillaume Cottenceau, Neil Roberts, Kouhei Sutou]
  * Don't install *.pc by default. Set pkgconfigdir make
    varialbe like 'make pkgconfigdir=/usr/lib/pkgconfig'.

==== Ruby/GLib2

  * Improvements:
    * declare argument types.
      [Nobuyoshi Nakada, Kouhei Sutou]

==== Ruby/GIO2

  * Imported as an experimental library.
    [Nikolai Weibull]

==== Ruby/GTK2

  * Improvements:
    * keep backward compatibility around GDK key
      symbols introduced at GTK+ 2.20.
      "[ruby-gnome2-devel-en] Constants names change in Gdk::KeyVal"
      [Vincent Carmona]
    * move gdk-pixbuf and cairo related methods from Ruby/GdkPixbuf2.
      "[ruby-gnome2-devel-en] gtk2 dependency to gdkpixbuf2"
      [Andrea Dallera, Kouhei Sutou]
  * Bug fixes:
    * fix GType conversion in Gtk::ItemFactory.new on 64bit
      platform.
      [Grant McLean, Steve Wills, Kouhei Sutou]

==== Ruby/GdkPixbuf2

  * Improvements:
    * move gdk-pixbuf and cairo related methods to Ruby/GTK2.
      "[ruby-gnome2-devel-en] gtk2 dependency to gdkpixbuf2"
      [Andrea Dallera, Kouhei Sutou]
    * change .pc filename from ruby-gdkpixbuf2 to
      ruby-gdk-pixbuf2.

==== Ruby/RSVG2

  * Bug fixes:
    * add missing libcroco dependency on Windows.
      [U.Nakamura, Kouhei Sutou]

==== Ruby/Poppler

  * Improvements:
    * support Popper 0.15.0. [#3079667]
      [Mamoru Tasaka, Kouhei Sutou]

  * Bug fixes:
    * add missing libjpeg dependency on Windows.
      [U.Nakamura, Kouhei Sutou]
    * fix installed Ruby/GLib2 gem can't be detected.
      [kdmsnr, Kouhei Sutou]

=== Thanks

  * U.Nakamura
  * kdmsnr
  * Mamoru Tasaka
  * Guillaume Cottenceau
  * Vincent Carmona
  * Grant McLean
  * Steve Wills
  * Andrea Dallera
  * Nobuyoshi Nakada
  * Neil Roberts

== Ruby-GNOME2 0.90.2: 2010-09-26

NOTE: 0.90.x releases are for 1.0.0 major release.

A RubyGems package fix release.

=== Changes

==== All

  * fix path.
    [kimura wataru, Kouhei Sutou]

==== Ruby/GTK2

  * Bug fixes:
    * fix gtk2/base.rb is missing in gem.
      [S.Kitagawa, Kouhei Sutou]

==== Ruby/GIO2

  * Bug fixes:
    * fix a typo in .pc name. [#3075619]
      [O01eg, Kouhei Sutou]

==== Ruby/RSVG2

  * Bug fixes:
    * also check rb_cairo.h availability. [#3075617]
      [O01eg, Kouhei Sutou]

=== Thanks

  * S.Kitagawa
  * O01eg
  * kimura wataru

== Ruby-GNOME2 0.90.1: 2010-09-23

NOTE: 0.90.x releases are for 1.0.0 major release.

A install bug fix release of 0.90.0.

=== Changes

==== Ruby/ATK

  * Bug fixes:
    * fix .pc install path.
      [OBATA Akio, Kouhei Sutou]

==== Ruby/GTK2

  * Bug fixes:
    * fix .pc install path.
      [OBATA Akio, Kouhei Sutou]

==== Ruby/Pango

  * Bug fixes:
    * fix .pc install path.
      [OBATA Akio, Kouhei Sutou]

==== Ruby/Poppler

  * Bug fixes:
    * fix .pc install path.
      [OBATA Akio, Kouhei Sutou]

==== Ruby/RSVG

  * Bug fixes:
    * fix .pc install path.
      [OBATA Akio, Kouhei Sutou]

=== Thanks

  * OBATA Akio

== Ruby-GNOME2 0.90.0: 2010-09-23

NOTE: 0.90.x releases are for 1.0.0 major release.

RubyGems support!

=== Changes

==== Ruby/GTK2

  * Bug fixes:
    * [ruby-gnome2-devel-en] Gtk 2.20, Gtk::Builder and 'name'
      add Gtk::Buildable#builder_name/set_builder_name.
      [Simon Arnaud, Kouhei Sutou]

=== Thanks

  * Simon Arnaud

== Ruby-GNOME2 0.19.4: 2011-04-17

NOTE: 0.19.x releases are development series.

This release has many bug fixes and some improvements. The
fixed bugs include a memory leak bug on GC. If your
application live long time, you should upgrade.

=== Changes

==== Ruby/GLib2

  * Bug fixes:
    * fixed type_register on Ruby 1.9.
      [Simon Arnaud, Kouhei Sutou]
    * fixed memory leak in GC.
      [Kouhei Sutou]

==== Ruby/GTK2

  * Bug fixes:
    * [#2865895] support GdkWindow's cursor property.
      NOTE: GTK+ 2.18.0 is unsupported version.
      [Guillaume Cottenceau, Mamoru Tasaka]
    * Gtk::MenuItem.new accepts nil as a label.
      [Kazuhiro NISHIYAMA, Kouhei Sutou]
    * fixed wrong conversion in Gtk::TreePath#<=>.
      [Takeuchi Yusuke, Kouhei Sutou]
    * fix Gtk::RecentInfo#application_info's double free bug.
      [Kouhei Sutou]
  * Improvements:
    * Gdk::Window#invalidate accepts nil as 'area'
      argument. It means 'invalidates whole window'.
      [Hiroyuki Ito]
    * Gtk::Clipbord#request_text sets UTF-8 encoding in Ruby
      1.9.
      [Rg Rg, Kouhei Sutou]
    * add Gtk::TreePath#==.
      [Takeuchi Yusuke, Kouhei Sutou]

==== Ruby/Pango

  * Improvements:
    * add Pango::Gravity.
      [Hiroyuki Ito, Kouhei Sutou]

==== Ruby/GdkPixbuf

  * add Gdk::Pixbuf#pixels=.
    [Michal Suchanek]

==== Ruby/GStreamer

  * Bug fixes:
    * [#2920997] fix argument type. [Johan Kiviniemi]
  * [#2924886] implement Gst::MessageTag#parse. [Vincent Carmona]

==== Ruby/GtkMozEmbed

  * Bug Fixes:
    * [#2924766] fix -Wl,-rpath syntax. [OBATA Akio]
    * [#2925285] Gtk::MozEmbed#chrome_mask fails.
      [tobi, Kouhei Sutou]
    * support XULRunner 1.9.2. [OBATA Akio]

=== Thanks

  * Guillaume Cottenceau
  * Mamoru Tasaka
  * Michal Suchanek
  * Simon Arnaud
  * Kazuhiro NISHIYAMA
  * Johan Kiviniemi
  * OBATA Akio
  * Hiroyuki Ito
  * Rg Rg
  * Vincent Carmona
  * tobi
  * Takeuchi Yusuke

== Ruby-GNOME2 0.19.3: 2009-09-24

NOTE: 0.19.x releases are development series.

This release is a bug fix release of 0.19.2.

=== Changes

==== Ruby/GLib2

  * Bug fix:
    * really fix
      'empty $(vendorarchdir) related build problem on CentOS 5.3 x86_64.'
      [Simon Arnaud, Kouhei Sutou]

=== Thanks

  * Simon Arnaud

== Ruby-GNOME2 0.19.2: 2009-09-23

NOTE: 0.19.x releases are development series.

This release is a bug fix release of 0.19.1.

=== Changes

==== Ruby/GLib2

  * Bug fixes:
    * empty $(vendorarchdir) related build problem on CentOS 5.3 x86_64.
      [Toshiyuki Suzumura, Kouhei Sutou]
    * [#2862022] fix multi thread blocking with Ruby
      1.8.6-p368 or later and 1.8.7-p173 or later.
      [Roy Wright, Andrea Dallera, Kouhei Sutou]
    * [Debian #502262] work Ruby thread with GTK+.
      [Johan Walles, Kouhei Sutou]

==== Ruby/GTK2

  * Bug fixes:
    * [#2679744] fix a typo:
      Gtk::Widget#set_scroll_adjustment ->
      Gtk::Widget#set_scroll_adjustments.
      [Kentaro Fukuchi, Kouhei Sutou]

==== Ruby/GtkMozEmbed

  * Bug fixes:
    * fix .pc detection.
      [OBATA Akio, Kouhei Sutou]

=== Thanks

  * OBATA Akio
  * Toshiyuki Suzumura
  * Roy Wright
  * Andrea Dallera
  * Johan Walles
  * Kentaro Fukuchi

== Ruby-GNOME2 0.19.1: 2009-07-26

NOTE: 0.19.x releases are development series.

This release is a bug fix release of 0.19.0.

=== Changes

==== Ruby/GTK2

  * use RUBYARCHDIR
    [OBATA Akio]
  * #2814953: install missing headers
    [Mamoru Tasaka]

==== Ruby/GLib2

  * Bug fixes:
    * avoid object allocation while GC
      [OBATA Akio, Kouhei Sutou]
  * use RUBYARCHDIR
    [OBATA Akio]
  * mkmf-gnome2.rb add "-I$(vendorarchdir)" to $CPPFLAGS.
    [OBATA Akio, Kouhei Sutou]

==== Ruby/ATK

  * use RUBYARCHDIR
    [OBATA Akio]

==== Ruby/Pango

  * use RUBYARCHDIR
    [OBATA Akio]
  * use gem version rcairo as fallback
    [OBATA Akio]

==== Ruby/Libart

  * use RUBYARCHDIR
    [OBATA Akio]

==== Ruby/GdkPixbuf

  * use gem version rcairo as fallback
    [OBATA Akio]

==== Ruby/GnomePrint

  * install rblibgnomeprintversion.h
    [OBATA Akio, Kouhei Sutou]

==== Ruby/GtkMozEmbeded

  * fix header generation error caused by missing file
    [OBATA Akio]

==== Ruby/VTE

  * support VTE 0.20
    [Kouhei Sutou]

==== Ruby/PanelApplet

  * #2815036: re-support Ruby 1.8.6.
    [Mamoru Tasaka, Kouhei Sutou]

==== Ruby/Libglade2

  * Debian#519786: fix GC related SEGV when a widget in
    glade is removed by hand.
    [Arnaud Cornet, Kouhei Sutou]

=== Thanks

  * OBATA Akio
  * Mamoru Tasaka
  * Arnaud Cornet

== Ruby-GNOME2 0.19.0: 2009-05-29

NOTE: 0.19.x releases are development series.

This release supports new versions of panel-applet and xulrunner
and fixes various bugs including some GC issues

=== Changes

Ruby/GLib2:
  * add 'const' to name argument of rbgerr_define_gerror()
    [Nikolai Weibull, Kouhei Sutou]
  * Bug fixes:
    * #2420281: Failed to build
      [troels knak-nielsen, Kouhei Sutou]
    * #2493874: glib/rbglib_maincontext.c error in "RUBY_UBF_IO"
      [boo, Kouhei Sutou]
    * wrong priority conversion in GLib::Timeout.add and
      GLib::Timeout.add_seconds.
      [Nikolai Weibull]
    * fixed limits of basic types
      [Pascal Terjan]

Ruby/GTK2:
  * Bug fixes:
    * fixed initialize function is deleted.
      [kimura wataru, Kouhei Sutou]
    * checked GTK_FILE_SYSTEM_ERROR availability. GTK+ 2.15.x
      doesn't have it.
      [Kouhei Sutou]
    * fixed GC problems.
      [Kouhei Sutou]
    * #2195432: Gtk::RCStyle.set_color_flags wrong conversion
      [Jesse van den Kieboom, Kouhei Sutou]
    * #2318481: gtkselectiondata_set Drag and Drop API problem
      [dave foster, Kouhei Sutou]
    * #2420281: Failed to build
      [troels knak-nielsen, Kouhei Sutou]

Ruby/Pango:
  * added Pango::Attribute#start_index= and Pango::Attribute#end_index=.
    [Geoff Youngs, Kouhei Sutou]

Ruby/Poppler:
  * removed 0.6.x support. 0.8.0 or later is required.
    [Kouhei Sutou]

Ruby/RSVG2:
  * fixed broken cairo integration.
    [James Healy, Kouhei Sutou]

Ruby/PanelApplet:
  * #2466921: fixed build failure with libpanel-applet >= 2.25
    [Mamoru Tasaka, Kouhei Sutou]
  * fixed incomplete install.
    [Pascal Terjan, Kouhei Sutou]

Ruby/GtkMozEmbed:
  * supported XULRunner 1.9.0.
    [Arnaud Cornet, Kouhei Sutou]

Ruby/GNOME2:
  * supported MinGW.
    [id:luna_8bit, Kouhei Sutou]

Ruby/Bonobo2:
  * moved Bonobo.setup_x_error_handler to Ruby/BonoboUI2.
    [id:luna_8bit, Kouhei Sutou]

Ruby/BonoboUI2:
  * moved Bonobo.setup_x_error_handler from Ruby/Bonobo2.
    [id:luna_8bit, Kouhei Sutou]

Ruby/GnomeVFS:
  * format security error.
    [Pascal Terjan]

=== Thanks

  * kimura wataru
  * Philipp Götzinger
  * Andrew S. Townley
  * Jesse van den Kieboom
  * James Healy
  * dave foster
  * troels knak-nielsen
  * boo
  * Geoff Youngs
  * Arnaud Cornet
  * id:luna_8bit

== Ruby-GNOME2 0.18.0: 2008-09-30

This release fixes some memory leak bugs and has new
experimental packages.

=== Changes

Ruby/GLib2:
  * mkmf-gnome2.rb: add check_cairo. [Kouhei Sutou]
  * fixed memory leaks. [Kouhei Sutou]
    * [#2110165] Gdk::Pixbuf memory leak
  * install glib-enum-types.h. [Andy Spencer]
    * [#2106938] Install glib-enum-types.h

Ruby/GTK2:
  * add GTK+ 2.12 related bindings. [Guillaume Cottenceau]
  * fixed initialize order. [Kouhei Sutou]
    * [#2113491] Incorrect initialize order (compiling with mingw)

Ruby/GooCanvas [NEW][EXPERIMENTAL]:
  * added. [Kouhei Sutou]

Ruby/Pango:
  * fixed memory leaks. [Kouhei Sutou]

Ruby/GtkSourceView2 [NEW][EXPERIMENTAL]:
  * add. [yselkowitz]

=== Thanks

  * OBATA Akio
  * James Healy
  * Ricky Zheng
  * Guillaume Cottenceau
  * Ricky Zheng

== Ruby-GNOME2 0.17.0: 2008-09-07

=== Release notes

  * This Release supports Ruby 1.8.7 and has many bug fixes and
    new bound functions.

=== Main changes

Ruby/GLib:
  * [#2060606] Crash when removing ruby applet from gnome panel with 0.7rc1
    [Kouhei Sutou]

Ruby/GTK:
  * [#2025651] FTBFS with gtk+ 2.13.5 [Cesare Tirabassi, Kouhei Sutou]
  * [#2043970] Segfaults on 64-bit Linux [Neil Roberts, Kouhei Sutou]

Ruby/Pango:
  * [#2043970] Pango::FontDescription#weight= seg fault [Kouhei Sutou]

Many other changes, GC bugs, Segfault fixes. See
corresponding ChangeLog for detailed information on changes
and contributors.

=== Thanks

Special thanks for your contributions to: (list in no particular order)

  * Neil Roberts
  * Cesare Tirabassi
  * Arnaud Cornet

== Ruby-GNOME2 0.17.0-rc1: 2008-06-06

=== Release notes

  * This Release Candidate seems to be pretty stable. Please give us
    feedback if you encounter any problems.
  * The win32 bindings will be released later and will be
    considered as EXPERIMENTAL The changes marked with 2
    stars (**) may currently not work on win32 platforms.

=== Main changes

Ruby/GLib:
  * Bound functions defined since 2.14 and 2.16.
  * Improved main loop polling. **
  * Improved callback handling from non Ruby thread. **

    This changes breaks API. Sjoerd, you need to call
    rbgutil_start_callback_dispatch_thread() in your
    GStreamer bindings. Sorry.

  * Supported convenience GEnum and GFlags notation. e.g.:
      GLib::UTF8.normalize(utf8, GLib::NormalizeMode::NFD)
      ->
      GLib::UTF8.normalize(utf8, :nfd)

      key_file.load_from_data(data,
                              GLib::KeyFile::KEEP_COMMENTS |
                              GLib::KeyFile::KEEP_TRANSLATIONS)
      ->
      key_file.load_from_data(data, [:keep_contents, :keep_translations])

  * Fixed locale dependent constant name computation. [#1901843]
    [Kouhei Sutou]

Ruby/GTK:

  * partially support new symbols in 2.12
    (Gtk::RecentAction, Gtk::TextBuffer, Gdk::Display,
    Gtk::TreeViewColumn, Gtk::Stock, Gtk::Widget,
    Gtk::ScaleButton, Gtk::TreeView, Gtk::VolumneButton,
    Gtk::Tooptip and Gtk::TextMark only).

  * [#2025651] FTBFS with gtk+ 2.13.5 [Cesare Tirabassi, Kouhei Sutou]

  * [#2043970] Segfaults on 64-bit Linux [Neil Roberts, Kouhei Sutou]

Ruby/GStreamer:

  *  Worked with GStreamer >= 0.10.x but isn't completed yet.

Ruby/Poppler:

  * Supported poppler-glib 0.6.x and 0.8.0. [Kouhei Sutou]

Ruby-GNOME2:
  * Ruby-GNOME2 can be built with ruby 1.9.0 but doesn't
    work well without [ruby-dev:34104] patch.

  * Some extconf.rb improvements

Many other changes, GC bugs, Segfault fixes. See
corresponding ChangeLog for detailed information on changes
and contributors.

=== Thanks

Special thanks for your contributions to: (list in no particular order)
  * Kazuhiro NISHIYAMA
  * Kouhei Sutou
  * Kero van Gelder
  * Masahiro Sakai
  * Detlef Reichl
  * Guillaume Cottenceau
  * Masahiro Sakai
  * Mikael Hallendal
  * Carlo E. Prelz
  * Sjoerd Simons
  * Juergen Mangler
  * Dirk von Schmieden
  * Mathieu Blondel
  * Joseph Method
  * Masayuki Yamaguchi

And also special thanks to all other contributors not listed
above!

== Ruby-GNOME2 0.16.0: 2006-12-30

Ruby-GNOME2:
  * Fixed serious bugs (depends on GC)
  * Support GTK+-2.10 and the latest version of each libraries.
  * Don't include Ruby/GStreamer and Ruby/Libgda. We cancel to
    support Ruby/GStreamer and Ruby/Libgda.
  * Cancel to support ruby-1.6.x and GTK+-2.4 or earlier.

Ruby/GLib:
  * Support GLib+-2.10 APIs. [Kouhei Sutou, Masao Mutoh]
  * Fix segfaults related GC with signal handlers. [Guillaume Cottenceau, Kouhei Sutou]
  * Add functions for Unicode Manipulation [Kouhei Sutou]
    GLib::Unicode, GLib::UTF8, GLib::UTF16, GLib::UCS4, GLib::UniChar
  * Add Key-value file parser [Masao Mutoh]
    GLib::KeyFile
  * Add Bookmark file parser [Masao Mutoh]
    GLib::BookmarkFile
  * Add Win32 compatibility functions [Masao Mutoh]
    GLib::Win32
  * Add glib-mkenums.rb [Kouhei Sutou, Masao Mutoh]
  * Other improvement and fix bugs.[Kouhei Sutou, Masao Mutoh]

Ruby/ATK:
  * Support ATK-1.12 APIs. [Masao Mutoh]

Ruby/Pango:
  * Support Pango-1.2, 1.4 APIs [Masao Mutoh]
  * Fix some bugs. [Masao Mutoh]

Ruby/GdkPixbuf:
  * Move Cairo::Context#set_source_pixbuf from Ruby/GTK.[Kouhei Sutou]
    You can use the methods unless X server.

Ruby/GTK:
  * Support GTK+-2.10. [Pascal Terjan, Kouhei Sutou, Masao Mutoh]
    Gtk::PrintUnixDialog, Gtk::PageSetupUnixDialog, Gtk::Print*, Gtk::PageSet
    Gtk::LinkButton, Gtk::Recent*, Gtk::Assistant, Gtk::StatusIcon
  * Other improvement and fix bugs [Sjoerd Simons, Kouhei Sutou, Masao Mutoh]

Ruby/GNOME:
  * None.

Ruby/GnomeCanvas:
  * Fixed a bug and trivial improvement. [Masao Mutoh]

Ruby/Libglade:
  * Fixed some bugs and trivial improvement. [Kouhei Sutou, Masao Mutoh]

Ruby/Libart:
  * a trivial improvement. [Kouhei Sutou]

Ruby/GConf:
  * Sample code cleanup. [Masao Mutoh]

Ruby/GnomeVFS:
  * None.

Ruby/GtkHtml2:
  * None.

Ruby/GtkGLExt:
  * None.

Ruby/PanelApplet:
  * None. Deprecated (Use Gtk::StatusIcon in Ruby/GTK+)

Ruby/GtkSourceView:
  * Support gtksourceview-1.8. Some improvements. [Kouhei Sutou, Masao Mutoh]

Ruby/GnomePrint:
  * None.

Ruby/GnomePrintUI:
  * a trivial improvement. [Kouhei Sutou]

Ruby/RSVG:
  * Added a sample [Kouhei Sutou]
  * Improved, fixed bugs [Kouhei Sutou]

Ruby/GtkMozEmbed:
  * a trivial improvement. [Masao Mutoh]

Ruby/Poppler:
  * Improved, fixed bugs [Kouhei Sutou]

Ruby/VTE:
  * None.

Ruby/GStreamer:
  * Canceled.

Ruby/Libgda:
  * Canceled.

== Ruby-GNOME2-0.15.0: 2006-07-01

Ruby/GLib:
  * Improve signal handlers with pthread ruby(--enable-pthread). [Sjoerd Simons]
  * Added new fundamental object for other bindings. [Sjoerd Simons]
  * GLib::Source#remove -> GLib::Soruce.remove [Kouhei Sutou]
  * Added new macros (GLIST2ARYF, GLIST2ARY2F, GSLIST2ARYF, GLIST2ARY2F,
    G_PROTECT_CALLBACK) [Masao Mutoh]
  * Added GLib.win32_locale, GLib, win32_locale_filename_from_utf8 [Kouhei Sutou]
  * Improve memory management [Kouhei Sutou, Sjoerd Simons, Masahiro Sakai, Masao Mutoh]
  * Other improvement and fix bugs.
    [Sjoerd Simons, Joao Pedrosa, Kouhei Sutou, Masahiro Sakai, Masao Mutoh]

Ruby/ATK:
  * Improved cygwin support. [Masao Mutoh]
  * Fix a bug. [Masahiro Sakai]

Ruby/Pango:
  * Fix some bugs. [Laurent Sansonetti, Masao Mutoh]
  * Added Pango::Layout#markup=, Pango::AttrAbsoluteSize [Masao Mutoh]

Ruby/GdkPixbuf:
  * Fix a bug. [NISHI Takao]
  * Code cleanup [Masao Mutoh]

Ruby/GTK:
  * Improve signal handlers. [Masahiro Sakai]
  * Added Gtk::Widget#set_widget, #set_requisition. [Daniel Chokola]
  * Added Gtk::Dialog#get_response. [Masao Mutoh]
  * Other improvement and fix bugs [Mario Steele, Tilman Sauerbeck, Geoff Youngs,
    Masahiro Sakai, Kouhei Sutou, Masao Mutoh]

Ruby/GNOME:
  * Follow Ruby/GLib2 change(GRClosure). [Kouhei Sutou]

Ruby/GnomeCanvas:
  * Code cleanup [Kouhei Sutou, Masao Mutoh]

Ruby/Libglade:
  * Fixed some bugs and trivial improvement. [Masao Mutoh]

Ruby/Libart:
  * None.

Ruby/GConf:
  * Sample code cleanup. [Masao Mutoh]

Ruby/GStreamer:
  * Sample code cleanup. [Masao Mutoh]

Ruby/GnomeVFS:
  * Improved and fixed bugs. [Masahiro Sakai, Masao Mutoh]

Ruby/GtkHtml2:
  * Sample code cleanup. [Masao Mutoh]

Ruby/GtkGLExt:
  * Improved and fixed bugs. [Kouhei Sutou, Masao Mutoh]

Ruby/Libgda:
  * Fix build against 1.3.x branch (libgda-2.x). [Laurent Sansonetti]

Ruby/PanelApplet:
  * Fixed a bug [Patch #1431855]

Ruby/GtkSourceView:
  * Sample code cleanup. [Masao Mutoh]

Ruby/GnomePrint:
  * Added Gnome::Print::BINDING_VERSION. Code cleanup [Kouhei Sutou]

Ruby/GnomePrintUI:
  * Added Gnome::PrintUI::BINDING_VERSION. [Kouhei Sutou]
  * Sample code cleanup. [Masao Mutoh]

Ruby/RSVG:
  * Added RSVG::BINDING_VERSION, RBRSVG_MAJOR_VERSION,
    RBRSVG_MINOR_VERSION, RBRSVG_MICRO_VERSION. [Kouhei Sutou]
  * Supported 2.14.
  * Improved, fixed bugs [Kouhei Sutou, Masao Mutoh]

Ruby/GtkMozEmbed:
  * Improved, fixed bugs [Mirko Maischberger, Masao Mutoh]

Ruby/Poppler [NEW] [EXPERIMENTAL]:
  * Added [Kouhei Sutou]

Ruby/VTE [NEW]:
  * Added [Kouhei Sutou]

== Ruby-GNOME2 0.14.1: 2005-11-06

Ruby/GLib:
  * Fix memory leaks. [Masao Mutoh]

Ruby/ATK:
  * None.

Ruby/Pango:
  * Fix some bugs. [Masao Mutoh]

Ruby/GdkPixbuf:
  * None.

Ruby/GTK:
  * Improve memory management. [Masao Mutoh]

Ruby/GNOME:
  * None.

Ruby/GnomeCanvas:
  * None.

Ruby/Libglade:
  * None.

Ruby/Libart:
  * None.

Ruby/GConf:
  * None.

Ruby/GStreamer:
  * None.

Ruby/GnomeVFS:
  * None.

Ruby/GtkHtml2:
  * None.

Ruby/GtkGLExt:
  * None.

Ruby/Libgda:
  * None.

Ruby/PanelApplet:
  * None.

Ruby/GtkSourceView:
  * None.

Ruby/GnomePrint:
  * None.

Ruby/GnomePrintUI:
  * None.

Ruby/RSVG:
  * None.

Ruby/GtkMozEmbed:
  * None.

== Ruby-GNOME2 0.14.0: 2005-10-16

Ruby/GLib:
  * Fix segfault related on GC. [Masao Mutoh]
  * Support Ruby-GetText-Pacakge(Include pseudo GetText module). [Masao Mutoh]
  * Add and completed: [Masao Mutoh]
    * Glib::Shell, GLib::Completion, GLib::Timer,
      sample/shell.rb, completion.rb, timer.rb.
  * Add some methods, improved, fixed bugs: [Pascal Terjan, Sven Herzberg, Masao Mutoh]
    * GLib, GLib::Object, GLib::MetaInterface, GLib::Enum,
      GLib::Flags, PKGConfig, extconf.rb, mkmf-gnome2.rb

Ruby/ATK:
  * Support ATK-1.10. [Masao Mutoh]
  * Add Atk::BUILD_VERSION. [Masao Mutoh]
  * Add some methods, improved, fixed bugs: [Masao Mutoh]
    * Atk, Atk::Relation, Atk::RelationSet,
      Atk::StreamableContent, Atk::Text::Attribute,
      Atk::Util
  * Add and completed: [Masao Mutoh]
    * Atk::Util::KeyEventType

Ruby/Pango:
  * Support Pango-1.10 and cairo [Kouhei Sutou, Masao Mutoh]
  * Add Pango::BUILD_VERSION. [Masao Mutoh]
  * Add some methods, improved, fixed bugs: [Kouhei Sutou, Masao Mutoh]
    * Pango, Pango::Layout, Pango::LayoutLine,
      Pango::LayoutIter, Pango::Language, Pango::Font,
      Pango::GlyphItem, Pango::GlyphString, Pango::Context,
      Pango::Analysis, Pango::Item
  * Add and completed: [Masao Mutoh]
    * Pango::ScriptIter, Pango::Script, Pango::(.*)FontMap, Pango::(.*)Face,
      Pango::(.*)Family, Pango::XFont, Pango::FT2Font,
      sample/script.rb, break.rb, item.rb, layout.rb
  * Add classes: [Kouhei Sutou, Masao Mutoh]
    * Pango::Engine, Pango::EngineShape, Pango::EngineLang
      Cairo::Context, Pango::CairoFcFont, Pango::CairoFont, Pango::CairoWin32Font,
      Pango::CairoFontMap
  * Rename class name: [Masao Mutoh]
    * Pango::FontSet -> Pango::Fontset, Pango::FontSetSimple -> Pango::FontsetSimple.

Ruby/GdkPixbuf:
  * Support GTK+-2.8. [Guillaume Cottenceau]
  * Add some methods, improved, fixed bugs: [Kouhei Sutou, Guillaume Cottenceau]
    * Gdk::Pixbuf
  * Add and completed: [Guillaume Cottenceau]
    * Gdk::PixbufSimpleAnim, sample/simpleanim.rb

Ruby/GTK:
  * Support GTK+-2.8. [Guillaume Cottenceau, Masao Mutoh]
  * Support cairo. [Kouhei Sutou, Masao Mutoh]
  * Add Gtk::BUILD_VERSION. [Masao Mutoh]
  * Add some methods, improve, fix bugs: [Guillaume Cottenceau, Masao Mutoh]
    * Gdk, Gdk::Drawable, Gdk::Display, Gdk::Drawable,
      Gdk::Cursor, Gdk::Window, Gdk::Screen, Gtk::Action,
      Gtk::Dialog, Gtk::Drag, Gtk::EntryCompletion,
      Gtk::FileChooser, Gtk::IconView, Gtk::Image,
      Gtk::Menubar, Gtk::MenuShell, Gtk::ScrolledWindow,
      Gtk::SizeGroup, Gtk::Stock, Gtk::TextBuffer,
      Gtk::TextIter, Gtk::ToolButton, Gtk::TreeRowReference,
      Gtk::TreeView, Gtk::TreeViewColumn, Gtk::Window,
      sample/gtk-demo/*.rb
  * Add: [Guillaume Cottenceau, Kouhei Sutou]
    * Cairo::Context, Gdk::EventGrabBroken,
      sample/gtk-demo/cairo_*.rb, sample/misc/rgtk+cairo.rb


Ruby/GNOME [Masao Mutoh]:
  * Support libgnome/libgnomeui-2.12.
  * Add Gnome::BUILD_VERSION.
  * Add some methods, improve, fix bugs:
    * Gnome, Gnome::Util, Gnome::URL, Gnome::Help, Gnome::App, Gnome::Client
  * Add: Gnome::GConf, Gnome::Sound, Gnome::Trigger
    * sample/gnome-trigger.rb, sample/gnome-sound.rb

Ruby/GnomeCanvas:
  * Support libgnomecanvas-2.12. [Pascal Terjan, Masao Mutoh]
  * Add Gnome::Canvas::BUILD_VERSION. [Masao Mutoh]
  * Add some methods, improve, fix bugs: [Kouhei Sutoh, Pascal Terjan, Masao Mutoh]
    * Gnome::CanvasItem, Gnome::CanvasPathDef, Gnome::Canvas.
  * Add: Gnome::CanvasBuf. [Masao Mutoh]

Ruby/Libglade [Masao Mutoh]:
  * Support libglade-2.12.
  * Add GladeXML::BUILD_VERSION.
  * Add some methods, improve, fix bugs:
    bin/ruby-glade-create-template, sample/l10n_*.rb, GladeXML

Ruby/Libart [Masao Mutoh]:
  * Add Art::BUILD_VERSION.
  * Add: Art::Uta.

Ruby/GConf:
  * Support Cygwin. [Yaakov Selkowitz]
  * Add GConf::BUILD_VERSION. [Masao Mutoh]

Ruby/GStreamer:
  * Support on Ruby-1.9. [Laurent Sansonetti]
  * Add Gst::BUILD_VERSION. [Masao Mutoh]
  * Fix bugs, improve, add some methods: [Masao Mutoh]
    * Gst::Element

Ruby/GnomeVFS:
  * Support Cygwin. [Yaakov Selkowitz]
  * Add GnomeVFS::BUILD_VERSION. [Masao Mutoh]
  * Fix bugs, improve, add some methods: [Masao Mutoh]
    * GnomeVFS

Ruby/GtkHtml2 [Masao Mutoh]:
  * Add Gtk::HtmlContext::BUILD_VERSION.

Ruby/GtkGLExt:
  * Added Gtk::GL::BUILD_VERSION. [Masao Mutoh]
  * Fix bugs, improve, add some methods: [Kouhei Sutou]
    * Gdk::Pixmap

Ruby/Libgda:
  * Support Cygwin. [Yaakov Selkowitz]
  * Add Gda::BUILD_VERSION. [Masao Mutoh]

Ruby/PanelApplet [Masao Mutoh]:
  * Add PanelApplet::BUILD_VERSION.

Ruby/GtkSourceView [Masao Mutoh]:
  * Support GtkSourcView-1.4.
  * Add Gtk::SourceView::BUILD_VERSION.
  * Fix bugs, Improve, Add some methods:
    * Gtk::SourceView, Gtk::SourceBuffer, Gtk::SourceTag, Gtk::SourceTagStyleMask
  * Add and completed:
    * Gtk::SourceStyleScheme, Gtk::SourcePrintJob

Ruby/GnomePrint [Kouhei Sutou]:
  * Support libgnomeprint-2.12.
  * Add Gnome::Print::BUILD_VERSION
  * Fix bugs, Improve, Add some methods:
    * Gnome::PrintContext
  * Add: sample/gp-pac.rb

Ruby/GnomePrintUI [Kouhei Sutou]:
  * Support libgnomeprintui-2.12.
  * Add:
    * Gnome::PrintUI::BUILD_VERSION, Gnome::FontSelection,
      Gnome::FontPreview, Gnome::FontDialog,
      Gnome::PrintContentSelector

Ruby/RSVG [Kouhei Sutou]:
  * Support rsvg-2.12.
  * Add RSVG::BUILD_VERSION

Ruby/GtkMozEmbed [NEW]:
  * Merged. [Mirko Maischberber]
  * Add Gtk::MozEmbed::BUILD_VERSION [Masao Mutoh]

== Ruby-GNOME2 0.13.0: 2005-07-31

Ruby/GLib:
  * Fixed GCC 4.0 warnings [Masao Mutoh]
  * Added and completed: [Masao Mutoh]
    * GLib:PollFD, GLib::Source, GLib::MainLoop, GLib::IOChannel,
      GLib::Idle, GLib::ChildWatch
  * Added some methods, improved, fixed bugs: [Vincent Isambart, Masao Mutoh]
    * PKGConfig, extconf.rb,
  * Added: [Masao Mutoh]
    * GLib::MainContext, sample/iochannel.rb, idle.rb, timeout.rb,
      timeout2.rb, tests/test-iochannel.*, runner.rb,

Ruby/ATK:
  * None.

Ruby/Pango:
  * Fixed GCC 4.0 warnings [Masao Mutoh]
  * Support x86_64 [Masao Mutoh]
    * Pango::Layout
  * Added some methods, improved, fixed bugs: [Mirko Maischberger,
    Pascal Terjan, Masao Mutoh]
    * sample/parse.rb, Pango::LayoutLine, Pango::Coverage, Pango::LayoutIter,
      Pango::FontFamily, Pango::Attriterator

Ruby/GdkPixbuf:
  * Fixed GCC 4.0 warnings [Masao Mutoh]
  * Fixed bugs, Improved: [Mirko Maischberger, Masao Mutoh]
    * sample/*.rb

Ruby/GTK:
  * Support x86_64 [Kouhei Sutou, Masao Mutoh]
    * Gdk::Atom, Gtk::ItemFactory, Gtk::Widget, Gtk::Drag, Gtk::SizeGroup
  * Fixed GCC 4.0 warnings [Masao Mutoh]
  * Fixed bugs, Improved, Added some methods: [Hiroyuki Ikezoe, KATO Kazuyoshi,
    Pascal Terjan, Kouhei Sutou, Mirko Maischberger, Masao Mutoh]
    * Gtk::ActionGroup, Gtk::IconTheme, Gtk::RC, Gtk::TreeModel, Gdk::TimeCoord,
      Gdk::Window, Gtk::CellView, Gtk::ToolButton, Gtk::MenuToolButton, Gdk,
      Gdk::Display, Gdk::GC, Gdk::PangoAttrEmbossed, Gdk::Drawable, Gtk::Window,
      sample/gtk-demo/main.rb, sample/misc/*.rb, sample/testgtk/*.rb.
  * Added: [KATO Kazuyoshi, Masao Mutoh]
    * sample/gtk-demo/hypertext.rb, sample/misc/colorselection.rb

Ruby/GNOME [Mirko Maischberger]:
  * sh-bang (!#) normalization
    * sample/test-gnome/*.rb

Ruby/GnomeCanvas [Kouhei Sutou]:
  * Support x86_64, Improved. [Kouhei Sutou]
    * Gnome::CanvasPathDef

Ruby/Libglade:
  * None.

Ruby/Libart:
  * Added [Kouhei Sutou]
    * Art::DRect, Art::IRect
  * Fixed bugs, Improved, Added some methods: [Kouhei Sutou, Masao Mutoh]
    * Art::Affine, Art::BPath. Art::Canvas

Ruby/GConf:
  * None.

Ruby/GStreamer:
  * Fixed GCC 4.0 warnings [Masao Mutoh]
  * Added: [Laurent Sansonetti]
    * Gst::XOverLay, sample/video-player.rb,
  * Fixed bugs, Improved, Added some methods:
    [Laurent Sansonetti]
    * Gst::Caps, Gst::Pad, Gst::Element, Gst::TagSetter

Ruby/GnomeVFS [Masao Mutoh]:
  * Fixed bugs, Improved, Added some methods:
    GnomeVFS::File

Ruby/GtkHtml2:
  * None.

Ruby/GtkGLExt:
  * None.

Ruby/Libgda:
  * None.

Ruby/PanelApplet [Masao Mutoh]:
  * Check libpanel-applet version(2.6 or later):
    extconf.rb

Ruby/GtkSourceView [Masao Mutoh]:
  * None.

Ruby/GnomePrint:
  * Fixed GCC 4.0 warnings [Masao Mutoh]
  * Fixed bugs, Improved, Added some methods. [Kouhei Sutou]
    * Gnome::PrintContext, Gnome::PrintJob, Gnome::PrintConfig,
      Gnome::PrintUnit, Gnome::PrintPaper, src/lib/gnomeprint2.rb,
      sample/to_file.rb

Ruby/GnomePrintUI:
  * Fixed GCC 4.0 warnings [Masao Mutoh]
  * Fixed bugs, Improved, Added some methods. [Kouhei Sutou]
    * Gnome::PaperSelector, Gnome::PrintUnitSelector, Gnome::PrintPreview,
      Gnome::PrintDialog, Gnome::PrintConfigDialog, sample/dialog.rb,

Ruby/RSVG:
  * Fixed GCC 4.0 warnings [Masao Mutoh]
  * Fixed bugs, Improved, Added some methods. [Kouhei Sutou]

== Ruby-GNOME2 0.12.0: 2005-03-06

Ruby/GLib:
  * Support GLib-2.6.x. [Masao, Mutoh]
  * Support MS VC++. [Masao, Mutoh]
  * Fix bugs, Improved, Added some methods. [KATO Kazuyoshi,
    Masao Mutoh]
    * PKGConfig, rbgobj_lookup_class().
  * Added: [Masao, Mutoh]
    * GLib::Threads, src/lib/pkg-config.rb, sample/spawn.rb.

Ruby/ATK [Dafydd Harries, Vincent Isambart, Masao Mutoh]:
  * Support MS VC++.
  * Fix bugs, Improved, Added some methods.
  * Follow Ruby/GLib changes.

Ruby/Pango [Masao Mutoh]:
  * Support Pango-1.8.x.
  * Support MS VC++.
  * Follow Ruby/GLib changes.
  * Added and completed:
    * Pango::Renderer, Pango::Matrix, Pango::AttrStrikethroughColor,
      Pango::AttrUnderlineColor, Pango::GlyphItem
  * Added some methods, improved, fixed bugs: [Matthew Berg]
    * Pango::Context, Pango::AttList, Pango::Attribute,
      Pango::Layout, Pango, Pango::AttrSize, Pango::LogAttr,
      Pango::Item, Pango::Analysis, Pango::Font,
      Pango::FontDescription, Pango::FontFace,
      Pango::FontSet, Pango::AttrList, Pango::AttrIterator,
      Pango::Rectangle, Pango::Layout, Pango::LayoutLine,
      Pango::LayoutIter, Pango::GlyphInfo
  * Added
    * Pango::FcFont, Pango::XftFont, Pango::FontFcFontMap,
      Pango::XftFontMap.
  * Renamed, Moved
    * Pango::FontFamily#list_faces -> #faces.

Ruby/GdkPixbuf [leon breedt, Masao Mutoh]:
  * Support GTK+-2.6.x.
  * Follow Ruby/GLib changes.
  * Fixed bugs, Improved, Added some methods for GTK+-2.6.x:
    * Gdk::PixbufAnimationIter, Gdk::Pixbuf,
      Gdk::PixbufLoader, Gdk::PixbufFormat

Ruby/GTK:
  * Support Ruby-1.9.x.
  * Support Pango-1.8.x.
  * Support GTK+-2.6.x.
  * Support MS VC++.
  * Follow Ruby/GLib changes.
  * Improve to support gthread.
  * Added and completed for GTK+-2.6.x: [Darren Willis,
    * Gtk::CellRendererProgress, Gtk::ScrollStep,
      Gtk::IconView, Gtk::CellRendererCombo,
      Gtk::AboutDialog, Gdk::PangoRenderer, Gtk::CellView,
      Gtk::MenuToolButton, Gtk::FileChooserButton,
      Gdk::EventChange, Gdk::X11
  * Fixed bugs, Improved, Added some methods for GTK+-2.6.x:
    [Mirko Maischberger, Joao Pedrosa, KATO Kazuyoshi, Masao Mutoh]
    * Gtk, Gtk::CellLayout, Gtk::RadioToolButton,
      Gtk::ToggleToolButton, Gtk::Stock, Gtk::Image,
      Gtk::Label, Gtk::Progressbar, Gtk::EntryCompletion,
      Gtk::TextBuffer, Gtk::FileFilter, Gtk::FileChooser,
      Gtk::Menu, Gtk::CellRenderer, Gtk::TreeView,
      Gtk::TextView, Gtk::TextBuffer, Gtk::Drag,
      Gtk::ToolItem, Gtk::ActionGroup, Gtk::Action,
      Gtk::ComboBox, Gtk::Combo, Gtk::IconTheme,
      Gtk::SelectionData, Gtk::TargetList, Gtk::ListStore,
      Gtk::Window, Gtk::ToggleAction, Gtk::MessageDialog,
      Gdk::Region, Gdk::Window, Gtk::Clipboard,
      Gtk::Settings, Gtk::TreeModel, Gtk::ModelFilter,
      Gtk::TreeViewColumn, Gtk::Widget, Gdk::Pango,
      Gdk::Display, Gdk::Drawable, Gtk::RadioAction,
      Gdk::Screen, Gtk::TextBuffer, Gdk::Threads,
      sample/gtk-demo/*.rb, sample/misc/threads.rb,
      pangorenderer.rb
  * Added: [KATO Kazuyoshi, Darren Willis, Masao, Mutoh]
    * sample/misc/tree_progress.rb, misc_button.rb,
      aboutdialog.rb, aboutdialog2.rb,
      sample/gtk-demo/clipboard.rb, entry_completion.rb,
      expander.rb, iconview.rb

Ruby/GNOME [Masao Mutoh]:
  * Follow Ruby/GLib changes.

Ruby/GnomeCanvas [Masao Mutoh]:
  * Follow Ruby/GLib changes.

Ruby/Libglade [Masao Mutoh]:
  * Follow Ruby/GLib changes.
  * Support MS VC++.
  * Improved.

Ruby/Libart [KATO Kazuyoshi, Masao Mutoh]:
  * Follow Ruby/GLib changes.

Ruby/GConf [Masao Mutoh]:
  * Follow Ruby/GLib changes.
  * Fixed bugs, Improved.
  * Deprecated:
    * GConf::Client.new

Ruby/GStreamer:
  * Follow Ruby/GLib changes. [Masao Mutoh]
  * Added and completed: [Jack Paul, Masao Mutoh, Laurent Sansonetti]
    * Gst::TypeFindFactory, Gst::MediaInfoError, Gst::Tag,
      Gst::RegistryPool, Gst::TagSetter
  * Fixed bugs, Improved, Added some methods:
    [Jack Paul, Max Nickel, Masao Mutoh, Laurent Sansonetti]
    * Gst::Plugin, Gst::PluginFeature, Gst::Caps, Gst::Structure,
      Gst::Xml, Gst::Thread, Gst::Scheduler, Gst::SchedulerFactory,
      Gst::MediaInfo,
      sample/gst-inspect.rb

Ruby/GnomeVFS [Masao Mutoh]:
  * Follow Ruby/GLib changes.
  * Fixed bugs, Improved.

Ruby/GtkHtml2 [Masao Mutoh]:
  * Follow Ruby/GLib changes.

Ruby/GtkGLExt [Masao Mutoh]:
  * Follow Ruby/GLib changes.

Ruby/Libgda:
  * Support 1.1.99
  * Follow Ruby/GLib changes. [Masao Mutoh]
  * Fixed bugs, Improved, Added some methods: [Laurent Sansonetti]
    Gda::DataModel, Gda::Provider, Gda::Quarklist, Gda::Connection
  * Renamed, Moved [Laurent Sansonetti]
    * Gda::DataModel#editable? => #updatable?
    * #editing? => changed?
    * #begin_edit => #begin_update
    * #cancel_edit => #cancel_update
    * #end_edit => #end_update

Ruby/PanelApplet [Neil Stevens, Masao Mutoh]:
  * Follow Ruby/GLib changes.
  * Added some methods

Ruby/GtkSourceView [Masao Mutoh]:
  * Follow Ruby/GLib changes.
  * Added some methods

Ruby/GnomePrint:
  * Follow Ruby/GLib changes. [Masao Mutoh, Kouhei Sutou]
  * Fixed bugs, Improved, Added some methods. [Kouhei Sutou]

Ruby/GnomePrintUI:
  * Follow Ruby/GLib changes. [Masao Mutoh, Kouhei Sutou]
  * Fixed bugs, Improved, Added some methods. [Kouhei Sutou]

Ruby/RSVG:
  * Follow Ruby/GLib changes. [Masao Mutoh, Kouhei Sutou]
  * Fixed bugs, Improved, Added some methods. [Kouhei Sutou]

== Ruby-GNOME2 0.11.0: 2004-11-14

Ruby/GLib [Kouhei Sutou, Vincent Isambart, Masao Mutoh]:
  * Fix bugs, Improved, Added some methods.

Ruby/ATK [Vincent Isambart, Masao Mutoh]:
  * Support ATK+-1.7.x.
  * Fixed bugs, Improved, Added some methods.

Ruby/Pango [Geoff Youngs, Vincent Isambart, Masao Mutoh]:
  * Improved, Fix bugs.

Ruby/GdkPixbuf [Geoff Youngs, Masao Mutoh]:
  * Support GTK+-2.4.x.
  * Fixed bugs, Improved, Added some methods.

Ruby/GTK [Geoff Youngs, Vincent Isambart, Masao Mutoh]:
  * Fixed bugs, Improved, Added some methods.

Ruby/GNOME [Masao Mutoh]:
  * Improved.

Ruby/GnomeCanvas [Masao Mutoh]:
  * Fixed bugs, Improved, Added some methods.

Ruby/Libglade [Masao Mutoh]:
  * Improved.

Ruby/Libart [Vincent Isambart, Masao Mutoh]:
  * Improved to support ruby-1.7.x or later.
  * Changed: [Masao Mutoh]
    * Art::Canvas::Color.new -> Art::Canvas.color.
    * Art::Vpath::Dash -> Art::VpathDash.

Ruby/GConf [Masao Mutoh]:
  * Improved.

Ruby/GStreamer [Masao Mutoh]:
  * Improved.

Ruby/GnomeVFS [Masao Mutoh]:
  * Improved.

Ruby/GtkHtml2 [Masao Mutoh]:
  * Improved.

Ruby/GtkGLExt [Vincent Isambart]:
  * Improved.

Ruby/Libgda:
  * None.

Ruby/PanelApplet:
  * None.

Ruby/GtkSourceView [Vincent Isambart, Masao Mutoh]:
  * Fixed bugs.

Ruby/GnomePrint [NEW]:
  * Added. [Kouhei Sutou]

Ruby/GnomePrintUI [NEW: Alpha release]:
  * Added. [Kouhei Sutou]

Ruby/RSVG [NEW: Alpha release]:
  * Added. [Kouhei Sutou]

== Ruby-GNOME2 0.10.1: 2004-08-16

Ruby/GdkPixbuf [Masao Mutoh]:
 - Fix bugs.

Ruby/GTK [Masao Mutoh]:
 - Support GTK+-2.0.x again.

Ruby/GtkSourceView [Masao Mutoh]:
 - Fix bugs.

== Ruby-GNOME2 0.10.0: 2004-08-09

Ruby/GLib [Masao Mutoh]:
  * Added: [Kazuhiro NISHIYAMA, Masao, Mutoh]
    * GLib::Spawn, sample/utils.rb, sample/type-register2.rb
  * Added some methods, improved, fixed bugs: [Laurent Sansonetti,
    Pascal Terjan, Masao Mutoh]
    * GLib, GLib::Object, GLib::Log, glib2.rb,

Ruby/ATK [Masao Mutoh]:
  * None.

Ruby/Pango [Masao Mutoh]:
  * Fix bugs.

Ruby/GdkPixbuf [Masao Mutoh]:
  * Removed version information.

Ruby/GTK:
  * Support GTK+-2.4.x.
  * Added: [Seiya Nishizawa, Masao, Mutoh]
    * Gtk::ToolButton, Gtk::ToolItem, Gtk::ToggleToolButton,
      Gtk::SeperatorToolItem, Gtk::ComboBox, Gtk::ComboBoxEntry,
      Gtk::Expander, Gtk::ColorButton, Gtk::FontButton, Gtk::FileChooserWidget,
      Gtk::FileChooser, Gtk::FileFilter, Gtk::FileChooserDialog, Gtk::Action,
      Gtk::ToggleAction, Gtk::IconInfo, Gtk::IconTheme, Gtk::UIManager,
      Gtk::RadioAction, Gtk::CellLayout, Gtk::ActionGroup,
      sample/misc/entrycompletion.c, filechooser.rb, combobox.rb, expander.rb,
      color_font_button.rb, uimanager.rb, uimanager2.rb, uimanager2.xml
  * Improved, fixed bugs: [Geoff Youngs, Vincent Isambart,
    Kazuhiro NISHIYAMA, Masao Mutoh]
    * Gtk::Style, Gtk::Widget, Gtk::TextView, Gtk::Container, Gdk::EventClient,
      Gtk::Dialog, Gtk::Entry, Gdk::Selection, Gtk::Drag, Gdk, Gdk::Atom,
      Gtk::Editable, Gtk::Stock, Gtk::TextIter, Gtk::TextMark, Gtk::Style,
      sample/misc/dialog2.rb, entry.rb, settings.rb,
  * Renamed, Moved: [Masao Mutoh]
    * Gtk::EventCrossing::CrossingMode to Gtk::EventCrossing::Mode,
      Gdk::SettingAction to Gdk::EventSetting::Action
      Gdk::Input.set_extension_events to Gdk::Device.
  * Deperecated: [Masao Mutoh]
    * Gtk::Combo, Gtk::OptionMenu since GTK+-2.4.

Ruby/GNOME:
  * None.

Ruby/GnomeCanvas:
  * None.

Ruby/Libglade:
  * Added: [Masao Mutoh]
    * sample/l10n*, makemo.rb, sample/po/*.
  * Added methods: [Masao Mutoh]
    * GladeXML#get_tooltips.
  * Improved, fixed bugs: [Masao Mutoh]
    * GladeXML, bin/ruby-glade-create-template

Ruby/Libart:
  * None.

Ruby/GConf:
  * Added some methods, Improved, fixed bugs: [Giovanni Corriga, Pascal Terjan,
    Kazuhiro NISHIYAMA, Masao Mutoh]
    * GConf::Client
  * Deprecated: [Masao Mutoh]
    * GConf::Client.new. Use GConf::Client.default instead.

Ruby/GStreamer:
  * Requires GStreamer-0.8.x or later.
  * Added: [Laurent Sansonetti]
    * Gst::Clock, Gst::Scheduler
  * Added methods, improved, Fixed bugs: [Laurent Sansonetti]
    * Gst::Element, Gst::Bin, Gst::Caps, Gst::Structure,
  * Removed: [Laurent Sansonetti]
    * Gst::Autoplug, Gst::AutoplugFactory, Gst::Type,
      Gst::TypeFactory, Gst::TypeFind
      Gst.set_debug,

Ruby/GnomeVFS:
  * Fixed bugs: [Pascal Terjan, Giovanni Corriga, Masao Mutoh]

Ruby/GtkHtml2:
  * None.

Ruby/GtkGLExt:
  * Fixed bugs: [Vincent Isambart]

Ruby/Libgda:
  * Added methods, fixed bugs: [Laurent Sansonetti]
    * Gda::Command, Gda::Connection
  * Removed: [Laurent Sansonetti]
    * Gda::Export

Ruby/PanelApplet [NEW]:
  * Added. [Jamis Buck, Masao Mutoh]

Ruby/GtkSourceView [NEW]:
 - Added. [Laurent Sansonetti]

= GNOME2 0.9.1: 2004-03-14

Ruby/GLib [Masao Mutoh]:
  * Fix a compilation problem on MinGW.

Ruby/ATK [Masao Mutoh]:
  * Fix a compilation problem on MinGW.
  * Improved extconf.rb

Ruby/Pango [Masao Mutoh]:
  * Improved extconf.rb

Ruby/GTK [Masao Mutoh]:
  * Fix a compilation problem on MinGW.
  * Fix a bug of Gtk::Combo.
  * Improved extconf.rb

Ruby/GConf [Kazuhiro NISHIYAMA]:
  * Fix bugs.

Ruby/Libgda [Laurent Sansonetti]:
  * Support libgda-1.0.3(stable branch).

= Ruby-GNOME2 0.9.0: 2004-03-07

Ruby/GLib:
  * Improved, fixed bugs: [Kenichi Komiya, Vincent Isambart, Masao Mutoh]
    * GLib::Object, GLib::Param::Flags, mkmf-gnome2.rb, sample/type-register.rb
  * Added new macros: [Masao Mutoh]
    * G_DEF_CLASS3()

Ruby/ATK [NEW]:
  * Added and compeleted: [Masao Mutoh]
    * Atk::Action, Atk::Document, Atk::GObjectAccessible, Atk::NoOpObject,
      Atk::NoOpObjectFactory, Atk::Value, Atk::Component, Atk::Image,
      Atk::HyperText, Atk::HyperLink, Atk::EditableText, Atk::Implementor,
      Atk::Object, Atk::Relation, Atk::Registry, Atk::ObjectFactory,
      Atk::State, Atk::StateSet, Atk::EditableText, Atk::Table
  * Added: [Masao Mutoh]
    * Atk::Util, Atk::Component, Atk::Selection, Atk::Text

Ruby/GdkPixbuf:
  * None.

Ruby/Pango:
  * None.

Ruby/GTK:
  * Completed: [Masao Mutoh]
  * Added and completed: [Masao Mutoh]
  * Added: [Kenichi Komiya, Masao, Mutoh]
    * Gtk::TextAppearance, sample/misc/bindings.rb, properties.rb,
      style_property.rb, settings.rb
  * Added some methods, improved, fixed bugs: [Kenichi Komiya, Masahiro Sakai,
     Vincent Isambart, Dafydd Harries, Masao Mutoh]
     * Gdk::Window, Gtk::SizeGroup, Gtk::Object, Gtk::BindingSet,
       Gtk::TextTagTable, Gtk::TextTag, Gdk::Colormap, Gtk::TreeViewColumn,
       Gtk::TextIter, Gtk::SpinButton, Gtk::Allocation, Gtk::TextView,
       Gtk::TextBuffer, Gtk::Widget, Gtk::Container, Gtk::Setting, Gtk::TreePath,
       Gtk::TreeIter, Gdk::Display, Gtk::TextAttributes, Gdk::Property,
       Gdk::Keymap, Gdk::Pixmap, Gdk::Drawable, Gdk::Screen, Gdk::Event,
       Gdk::EventExpose, Gdk::Selection, Gdk::GC,
       sample/gtk-demo/main.rb, stock_browser.rb, list_store.rb, tree_store.rb,
       sample/testgtk/notebook.rb,
       sample/misc/label.rb, toolbar.rb,
       extconf.rb
  * Removed: [Masao Mutoh]
     * Gtk::Object#activate_binding
       * Use Gtk::Object#bindings_activate insted.
     * Gtk::TextAttribute#copy
       * Use GLib::Boxed#copy instead.
     * Gdk::EventKey#string, #length.
     * makedefconst.rb
  * Deperecated: [Masao Mutoh]
    * Gtk::TextBuffer#insert_with_tags, #insert_pixbuf, #insert_child_anchor.
    They will be removed until 1.0.0.
    Use Gtk::TextBuffer#insert instead.

Ruby/GNOME:
  * Fixed bugs: [Masao Mutoh]
    * Gnome::Program

Ruby/GnomeCanvas:
  * Added: [Masao Mutoh]
    * Gnome::CanvasShape, Gnome::CanvasRE, Gnome::CanvasClipgroup
  * Fixed bugs: [Vincent Isambart, Masao Mutoh]
    * extconf.rb, sample/canvas-curve.rb

Ruby/Libglade:
  * Added: [Masao Mutoh]
    * sample/custom.[rb|glade]
  * Added methods: [Archit Baweja, Masao Mutoh]
    * GladeXML#widget_names, #filename, #[], #require, #provide
  * Improved, fixed bugs: [Masao Mutoh]
    * bin/ruby-glade-create-template

Ruby/Libart:
  * Improved: [Masao Mutoh]
    * extconf.rb

Ruby/GConf:
  * None.

Ruby/GStreamer:
  * Added some methods, improved, fixed bugs: [Laurent Sansonetti]
    * Gst, Gst::Bin, Gst::Pad, Gst::PadTemplate, Gst::Type, Gst::Element
      sample/gst-inspect.rb, media-type2.rb

Ruby/GnomeVFS:
  * Added some methods, improved, fixed bugs: [Masahiro Sakai, Masao Mutoh]
    * GnomeVFS::FileInfo, Gnome::VFS::File, GnomeVFS::ProtocolError,
      GnomeVFS::NoMasterBrowserError

Ruby/GtkHtml2:
  * Added some methods, fixed bugs: [Vincent Isambart, Masao Mutoh]
    * Gtk::HtmlView, Gtk::HtmlStream, extconf.rb

Ruby/GtkGLExt:
  * Added some methods, improved, fixed bugs: [Vincent Isambart, Masao Mutoh]
    * Gdk::GLDrawable, sample/*.rb

Ruby/Libgda:
  * Added: [Laurent Sansonetti]
    GeometricPoint, Gda::Money, Gdak::Time
  * Added some methods, improved, fixed bugs: [Nikolai Weibull, Laurent Sansonetti]
    * Gda::Error, Gda::ParameterList, Gda::Provider, Gda::DataSource,
      Gda::Connection, Gda::Parameter, Gda::Command, Gda::Row, Gda::Value,
      Gda::DataModel, Gda::ModelList, Gda::FieldAttributes
      tests/*.rb, src/lib/libgda.rb

== Ruby-GNOME2 0.8.1: 2003-11-23

Ruby/GTK:
  * Fixed compilation problems for GTK+-2.0.x. [Masao Mutoh]
  * Fixed some bugs. [Masahiro Sakai, Masao Mutoh]
  * Added Gtk::Tree* methods for GTK+-2.2.x. [Matthew Berg]

Ruby/GtkHtml2:
  * Fixed compilation problems for libgtkhtml-2.4.1 [Masahiro Sakai]

Ruby/Libgda:
  * Fixed a bug [Laurent Sansonetti]
    *Notice* Ruby/Libgda needs libgda-1.0.2(not released yet) or later.

== Ruby-GNOME2 0.8.0: 2003-11-16

Ruby/GLib:
  * Provide methods for creating GObject from ruby side. Now you can create
    your own signals and properties: [Masahiro, Sakai]
    * GLib::MetaInterface, GLib::Instantiatable, GLib::Signal
  * Added some methods, improved and Fixed some bugs:
    [Masahiro Sakai, Masao Mutoh]
    * GLib::Closure, GLib, GLib::Instantiatable, GLib::Object, mkmf-gnome2.rb
  * Added new macros: [Masao Mutoh]
    * G_RENAME_NICK()
  * Added: [Masahiro, Sakai]
    * sample/type-register.rb, tests/*.rb

Ruby/GdkPixbuf:
  * Added some methods, improved and Fixed some bugs:
    [KATO Kazuyoshi, Masao Mutoh]
    * Gdk::Pixbuf

Ruby/Pango:
  * rbpango.h is installed with glib/gtk2 headers.
  * Added new methods: [Masao Mutoh]
    * Pango::Layout
  * Added: [Masao Mutoh]
    * PangoLogAttr, PangoAnalysis

Ruby/GTK:
  * Completed: [Masao Mutoh]
    * Gdk::Geometry, Gdk::Event*, Gdk::Pixbuf, Gdk::Drawable,
      Gdk::DragContext, Gdk::Selection, Gdk::RGB, Gdk::GC, Gdk::Atom,
      Gdk::Image, Gdk::Colormap, Gdk::Keyval, Gdk::Screen, Gdk::Visual,
      Gdk::Window, Gdk::Display, Gdk
  * Added and completed: [Masao Mutoh]
    * Gdk::Property, Gdk::Keymap, Gdk::TimeCoord,
  * Added some methods, improved, fixed bugs: [Matthew Berg,
    Martin Povolny, KATO Kazuyoshi, Laurent Sansonetti, Masahiro Sakai,
    Masao Mutoh]
    * Gtk::AccelGroup, Gtk::Accelmap, Gtk::Clipboard, Gtk::Notebook,
      Gtk::Drag, Gtk::Menu, Gtk::Stock, Gtk::Style, Gtk::ListStore,
      Gtk::TreeStore, Gtk::Widget, Gtk::TextBuffer, Gtk::TreePath,
      Gtk::TreeRowReference
  * Added: [KATO Kazuyoshi]
    * sample/gtk-demo/changedisplay.rb, sample/gtk-demo/pixbufs.rb.
  * Removed: [Masao Mutoh]
    * Gtk::Clipboard#owner
    * Gdk::Span
    * Gdk::Region#eql?, #&, #-, #|

Ruby/GNOME:
  * Added some methods, improved, fixed bugs: [Masao Mutoh]
    * Gnome::AppHelper, Gnome::DruidPageStandard
  * Apply Enum/Flags. [Masao Mutoh]

Ruby/GnomeCanvas:
  * None.

Ruby/Libglade:
  * None.

Ruby/Libart:
  * None.

Ruby/GConf:
  * None.

Ruby/GStreamer:
  * Update maintainer's e-mail address [Laurent Sansonetti]

Ruby/GnomeVFS:
  * None.

Ruby/GtkHtml2:
  * Added and completed: [Masao Mutoh]
    * Gtk::HtmlContext, Gtk::HtmlBoxTable,
      Gtk::HtmlBoxTableRowGroup,
  * Completed: [Masao Mutoh]
    * Gtk::HtmlView
  * Added: [Masao Mutoh]
    * Gtk::HtmlBox, Gtk::HtmlBoxBlock, Gtk::HtmlBoxTableCaption,
      Gtk::HtmlBoxText, Gtk::BoxRoot, Gtk::BoxForm,
      Gtk::HtmlParser, Gtk::HtmlEmbedded, Gtk::HtmlBoxEmbedded

Ruby/GtkGLExt:
  * None.

Ruby/Libgda [NEW]:
  * Added and compeleted: [Laurent Sansonetti]
    * Gda, Gda::Client, Gda::Command, Gda::Provider,
      Gda::DataSource, Gda::Connection, Gda::DataModelArray,
      Gda::DataModelHash, Gda::DataModelList, Gda::Error,
      Gda::Export, Gda::FieldAttributes, Gda::Parameter,
      Gda::ParameterList, Gda::QuarkList, Gda::Row,
      Gda::Select, Gda::Table, Gda::Transaction
  * Added
    * Gda::DataModel
      sample/*.rb, tests/*.rb

== Ruby-GNOME2 0.7.0: 2003-09-07

The whole Ruby-GNOME2:
  * Enum/Flags support. Enum/Flags constants are defined as classes.
    [Masahiro Sakai, Vincent Isambart, Masao Mutoh]
  * Improve extconf.rb. [Masao Mutoh]
    If the libraries are not found, they're ignored.
    And you can specify to target libraries.

Ruby/GLib:
  * Improved and Fixed some bugs. [Masahiro Sakai, Masao Mutoh]
    * GLib::Type, GLib::Boxed, mkmf_gnome2.rb
  * Added lib/glib2.rb and improve to support Win32 platform.
    [TAMURA.KENICHI, Masahiro Sakai]
  * Added new class: [Masahiro Sakai]
    * GLib::Enum, GLib::Flags
  * Added new macros: [Masahiro Sakai]
    * RVAL2GENUM(), RVAL2GFLAGS(), GENUM2RVAL(), GFLAGS2RVAL().
  * Removed some methods. [Masahiro Sakai]
    * GLib::Param#value_defaults?
  * Define GLib::BINDING_VERSION
  * Apply Enum/Flags. [Masahiro Sakai]
  * Follow extconf.rb changes. [Masao Mutoh]

Ruby/GdkPixbuf:
  * Apply Enum/Flags. [Masahiro Sakai, Masao Mutoh]
  * Follow extconf.rb changes. [Masao Mutoh]

Ruby/Pango:
  * Improved and Fixed some bugs:
    [Vincent Isambart, Masahiro Sakai, Masao Mutoh]
    * Pango::Font, sample/*.rb, extconf.rb
  * Added new methods: [Masahiro Sakai]
    * Pango::Language, Pango::FontMap, Pango::FontFamily, Pango::Context,
      Pango::FontDescription,
  * Apply Enum/Flags. [Masahiro Sakai, Masao Mutoh]
  * Follow extconf.rb changes. [Masao Mutoh]

Ruby/GTK:
  * Follow Ruby/GLib changes. [Masahiro Sakai, Masao Mutoh]
  * Added some methods, improved, fixed bugs: [Martin Povoln,
    KATO Kazuyoshi, Masahiro Sakai, Masao Mutoh]
    * Gdk::Atom, Gdk::Input, Gdk::DragContext, Gdk::Event, Gdk::GC, Gdk,
      Gtk::Label, Gtk::TreeIter, Gtk::TreeView, Gtk::IconSize,
      gdk-demo/*.rb, extconf.rb
  * Added: [KATO Kazuyoshi]
    * Gdk::DisplayManager, gtk-demo.rb
  * Apply Enum/Flags. [Masahiro Sakai, Masao Mutoh]
  * Follow extconf.rb changes. [Masao Mutoh]

Ruby/GNOME:
  * Follow extconf.rb changes. [Masao Mutoh]
  * Fix bugs. [Masahiro Sakai]

Ruby/GnomeCanvas:
  * Follow extconf.rb changes. [Masao Mutoh]
  * Improve extconf.rb. [Masahiro Sakai]
  * Fix a sample. [Vincent Isambart]

Ruby/Libglade:
  * Add a 'after' parameter to GladeXML.connect.
    It allows to connect signal_connect_after(). [Soila Jani]
  * Fix bugs: [Masao Mutoh]

Ruby/Libart:
  * Follow extconf.rb changes. [Masao Mutoh]

Ruby/GConf:
  * Apply Enum/Flags. [Masao Mutoh]
  * Follow extconf.rb changes. [Masao Mutoh]

Ruby/GStreamer:
  * Improved and Fixed some bugs. [Laurent Sansonetti]
    * Gst, Gst::MediaInfo, Gst::Second, Gst::MediaType, sample/media-type.rb
  * Added some methods: [Laurent Sansonetti]
    * Gst::Bin, Gst::Registry, Gst::MediaInfoTrack
  * Added: [Laurent Sansonetti]
    * Gst::XML, Gst::ClockEntry, sample/xml-ogg-player.rb
  * Win32 support. [Masahiro Sakai]
  * Follow extconf.rb changes. [Masao Mutoh]

Ruby/GnomeVFS:
  * Follow extconf.rb changes. [Masao Mutoh]

Ruby/GtkHtml2:
  * Added: [Martin Povoln, Masao Mutoh]
    * Gtk::HtmlStream, lib/gtkhtml2.rb
  * Removed methods: [Martin Povoln]
    * Gtk::HtmlView#set_html
  * Follow extconf.rb changes. [Masao Mutoh]

Ruby/GtkGLExt [NEW]:
  * Added and completed. [Vincent Isambart]
    * Gdk::GLConfig, Gdk::GLContext, Gdk::GLDrawable, Gdk::GLPixmap,
     Gdk::GLWindow, Gdk::Window, Gdk::Pixmap, Gtk::GL, Gtk::Widget
  * Added. [Vincent Isambart]
    * Gdk::GL, sample/*.rb
  * Follow extconf.rb changes. [Masao Mutoh]
  * Win32 support. [Masahiro Sakai]

== Ruby-GNOME2 0.6.0: 2003-08-09

Ruby/GLib:
  * mkmf-gnome2.rb,rbglib.h, rbgobject.h, rbgutil.h are installed
    to site-ruby directories.
    The other libraries which depends on Ruby/GLib can compile
    in any directotires. [Masahiro Sakai, Masao Mutoh]
  * Support ruby-1.8.0 [Masao Mutoh]
  * Added new macros: [Geoff Youngs, Masao Mutoh]
    * CBOOL2RVAL/RVAL2CBOOL, G_DEF_CONSTANTS, G_RENAME_CONSTANT
  * Improved and Fixed some bugs. [Masahiro Sakai]
    * GLib::Object, GLib::Type, GLib::Closure, GLib::Signal,
  * Added some methods: [Masahiro Sakai]
    * GLib::Param, GLib::Param::*, GLib::Boxed, GLib::Signal, GLib::Pointer
  * Removed some methods. [Masahiro Sakai]
    * GLib::Param::*#default, #default_value

Ruby/GdkPixbuf:
  * Follow Ruby/GLib changes. [Masao Mutoh]
  * Separate Gdk::Pixbuf#scale to #scale and #scale!,
    #composite to #composite and #composite!. [Masao Mutoh]

Ruby/Pango:
  * Follow Ruby/GLib changes. [Masao Mutoh]

Ruby/GTK:
  * Follow Ruby/GLib changes. [Sakai, Masahiro, Masao Mutoh]
  * rbgtk.h are installed to site-ruby directories.
    The other libraries which depends on Ruby/GTK can compile
    in any directotires. [Masao Mutoh]
  * Completed: [Geoff Youngs, Masao Mutoh]
    * Gtk::Clipboard, Gtk::Menu, Gtk::Notebook, Gtk::Socket, Gtk::Plug,
      Gtk::FileSelection, Gtk::ListStore, Gtk::TreeStore, Gtk::TreeModel,
      Gtk::TextView, Gtk::Notebook, Gtk::ColorSelection, Gtk::Style,
      Gtk::ItemFactory, Gtk::Invisible, Gtk::TreeSortable, Gtk::TreeView,
      Gtk::TreeSelection, Gtk::TreePath, Gtk::TreeViewColumn, Gtk::Drag,
      Gtk::TextTag, Gtk module
  * Added and completed.
    * Gtk::TreeDragSource, Gtk::TreeDragDest,
  * Added some methods, improved, fixed bugs: [Geoff Youngs,
    Masahiro Sakai, Masao Mutoh]
    * Gdk::Window, Gdk::Drawable, Gdk::EventProperty, Gdk module,
      Gtk::Object, Gtk::Editable, Gtk::TreeModel,
      Gtk module, Gtk::TextBuffer, Gtk::IMContext, Gtk::Menu
  * Added: [Geoff Youngs, Masao Mutoh]
    * Gtk::BingindSet, Gdk::Display, Gdk::Screen
  * Removed: [Masao Mutoh]
    * Gtk::Socket#xwindow, Gtk::Menu#set_path,
      Gtk::Notebook#popup_disable/enable, Gtk::ItemFactory.add_foreign
      Gtk::TreeSortable#sort_func=, Gtk::TreePath#to_s

Ruby/GNOME:
  * Follow Ruby/GLib changes. [Masao Mutoh]
  * Add Gnome::PixmapEntry#set_preview. [Masao Mutoh]

Ruby/GnomeCanvas:
  * Follow Ruby/GLib changes. [Masao Mutoh]

Ruby/Libglade:
  * Follow Ruby/GLib changes. [Masao Mutoh]

Ruby/Libart:
  * Follow Ruby/GLib changes. [Masao Mutoh]

Ruby/GConf:
  * Fix a bug [744158] [Masao Mutoh]

Ruby/GStreamer [NEW]:
  * Merged with Ruby-GStreamer project. [Laurent Sansonetti]
  * Version informations are also merged.
  * Completed: [Laurent Sansonetti]
    * Gst, Gst::Autoplug, Gst::Cpu,  Gst::Format,
      Gst::Object, Gst::PadTemplate, Gst::Pipeline,
      Gst::PluginFeature, Gst::QueryType,
      Gst::Type
  * Added and completed. [Laurent Sansonetti]
    * Gst::AutoplugFactory, Gst::EventMask, Gsk::EventSeek,
      Gst::EventSegmentSeek, Gst::EventSize, Gst::Parse,
      Gst::SystemClock, Gst::Thread,Gst::MediaInfo,
      Gst::MediaInfoStream, Gst::MediaInfoTrack
  * Added some methods, improved, fixed bugs: [Laurent Sansonetti]
    * Gst::Caps, Gst::Clock, Gst::Plugin, Gst::Pad, Gst::Element,
  * Added: [Nikolai :: lone-star :: Weibull, Laurent Sansonetti]
    * sample/media-type.rb, gst-inspect.rb, mediap-type2.rb

Ruby/GnomeVFS [NEW]:
  * Initial release. [Nikolai :: lone-star :: Weibull]
  * Completed: [Nikolai :: lone-star :: Weibull]
    * GnomeVFS module, GnomeVFS::Directory, GnomeVFS::Monitor,
      GnomeVFS::FileInfo, GnomeVFS::Error
  * Added: [Nikolai :: lone-star :: Weibull]
    * GnomeVFS::File, GnomeVFS::URI

Ruby/GtkHtml2 [NEW]:
  * Initial release. [Martin Povoln]
  * Added: [Martin Povoln]
    * Gtk::HtmlDocument, Gtk::HtmlView

== Ruby-GNOME2 0.5.0: 2003-05-24

Ruby/GLib:
  * Fixed warning for ruby-1.8.1. [Masao Mutoh]
  * Fixed some bugs, Added methods and improved: [Masahiro Sakai]
    * GLib::Object, GLib::ParamSpec, GLib::Signal, GLib::Type,
      GLib::Instantiatable, GLib::MetaInterface, GLib::Param::String
  * Added: [Geoff Youngs, Masao Mutoh]

Ruby/GdkPixbuf:
  * Fixed a bug. [Geoff Youngs]

Ruby/Pango:
  * Some constants were moved. [Masao Mutoh]
    * Moved Pango::Attribute::UNDERLINE_* to Pango::AttrUnderline::*.
    * Moved Pango::Attribute::SCALE_* to Pango::AttrScale::*.

Ruby/GTK:
  * Completed: [Masao Mutoh]
    Gtk::AccelGroup, Gtk::Style, Gtk::Selection
  * Added some methods, improved: [Stephen Lewis, Masahiro Sakai, Masao Mutoh]
    * Gtk::TextBuffer, Gtk::TextIter, Gtk::TreeIter, Gtk::ListStore,
      Gtk::TreeStore, Gtk, Gtk::HandleBox, Gtk::Frame, Gtk::Container,
      Gtk::Table, Gdk::Input, Gtk::Widget, Gtk::Allocation, Gtk::RC,
      Gtk::ItemFactory, Gtk::Toolbar, Gtk::Window, Gtk::CellEditable,
      Gtk::Accessible, sample/misc/*.rb
  * Added and completed. [Nikolai :: lone-star :: Weibull, Masao Mutoh]
    * Gtk::RcStyle, Gtk::TargetList, Gtk::TreeSortable, Gtk::TreeModelSort,
      Gtk::IMContext, Gtk::IMContextSimple, Gtk::IMMulticontext
  * Added: [Masao Mutoh]
    * Gtk::Settings
  * Renamed some methods. [Masao Mutoh]
    * Gtk::Table, Gtk::Widget
  * Removed: [Masao Mutoh]
    * Gtk::Object#user_data, #user_data=, #set_user_data.
      Deprecated properties of Gtk::ProgressBar.
      Gtk::Requisition. Use [width, height] instead.
      Gtk::Widget#set_requisition, *_event, Gtk::Widget::NO_PARENT.
      Gtk::SelectionData.remove_all. Use Gtk::Selection.remove_all instead.

Ruby/GNOME:
  * Cygwin support [Masahiro Sakai]
  * sample/test-gnome/color-picker.rb: Follow Ruby/GTK changes.[Masao Mutoh]

Ruby/GnomeCanvas:
  * sample/canvas-primitives.rb: Follow Ruby/GTK changes.[Masao Mutoh]

Ruby/Libglade:
  * Fix a bug of bin/ruby-glade-create-template. [Masao Mutoh]

Ruby/Libart:
  * None

Ruby/GConf:
   - Added GConf::MetaInfo. [Nikolai :: lone-star :: Weibull]
   - Fixed a bug [Masao Mutoh]

== Ruby-GNOME2 0.4.0: 2003-03-23

The whole Ruby-GNOME2:
  * Add mkmf-gnome2.rb for sub/optional libraries. [Masahiro Sakai]

Ruby/GLib:
  * Win32 platform support(Cygwin, Mingw32) [Masahiro Sakai]
  * Support mkmf-gnome2.rb [Masahiro Sakai]
  * Added some methods. [KUBO Takehiro, Masahiro Sakai]
  * Fix some bugs and improvement. [Masahiro Sakai, Masao Mutoh]

Ruby/GdkPixbuf:
  * Win32 platform support(Cygwin, Mingw32) [Masahiro Sakai]
  * Support mkmf-gnome2.rb [Masahiro Sakai]
  * Fix some bugs and improvement. [Masahiro Sakai]

Ruby/Pango:
  * Win32 platform support(Cygwin, Mingw32) [Masahiro Sakai]
  * Support mkmf-gnome2.rb [Masahiro Sakai]
  * Added a method(Pango.pixels) [Masao Mutoh]
  * Fix some bugs and improvement. [Masahiro Sakai]

Ruby/GTK:
  * Win32 platform support(Cygwin, Mingw32) [Masahiro Sakai]
  * Support mkmf-gnome2.rb [Masahiro Sakai]
  * Multi-threading support. [Masao Mutoh]
  * Added some methods, improved: [Kazuo Saito, Geoff Youngs,
    KATO Kazuyoshi, Masahiro Sakai, Masao Mutoh]
    * Gtk::Toolbar, Gtk::ItemFactory, Gdk::Region, Gtk::AccelGroup,
      Gtk::AccelMap, Gtk::TextIter, Gtk::TextTagTable, Gtk::TreeModel,
      Gtk::TreeSelection, Gtk::Clipboard, Gtk::Box, Gdk::RGB,
      Gtk::AccelGroupEntry, Gdk::Window, Gtk::SeparatorMenuItem,
      Gtk::TreePath, Gtk::TreeView, Gtk::Combo, Gdk::Threads,
      Gtk::TreeIter, Gdk::Event, Gtk::Drag,
  * Added: [Kazuo Saito, KATO Kazuyoshi, Masao Mutoh]
    * sample/gtk-demo/*.rb, sample/misc/threads.rb
  * Removed: [Masao Mutoh]
    * Gtk::Toolbar#insert_item/widget/element,
      Gtk::Toolbar#prepend_item/widget/element,
      Gtk::Toolbar#append_item/widget/element.
  * Use Gtk::Toolbar#insert, prepend, append instead.
    Gtk::Combo#list, button, popup, popwin, set_item_string,

Ruby/GNOME:
  * Support mkmf-gnome2.rb [Masahiro Sakai]

Ruby/GnomeCanvas:
  * Support mkmf-gnome2.rb [Masahiro Sakai]

Ruby/Libglade:
  * Support mkmf-gnome2.rb [Masahiro Sakai]
  * Improved: [Masao Mutoh]
    * bin/ruby-glade-create-template

Ruby/Libart:
  * Support mkmf-gnome2.rb [Masahiro Sakai]
  * Fix some bugs and improvement. [Masahiro Sakai]

Ruby/GConf:
  * Support mkmf-gnome2.rb [Masahiro Sakai]

Misc:
  * Project website is moving from http://ruby-gnome2.sourceforge.net/
    to http://ruby-gnome2.sourceforge.jp/.

== Ruby-GNOME2 0.3.0: 2003-02-09

Ruby/GLib:
  * Miscellaneous bugfixes and some improvement internal.
    [Masahiro Sakai, Masao Mutoh]

Ruby/GTK:
  * Miscellaneous bugfixes and some improvement internal.
    [Masao Mutoh]
  * Support GTK+-2.2.x. [KUBO Takehiro]
  * DnD enhancement. [Geoff Youngs, Masao Mutoh]
  * Require Ruby/Pango. [Masao Mutoh]

  * Completed:
    * Gdk::Drawable, Gdk::Rectangle, Gdk::Region, Gtk::AccelGroup,
      Gtk::Accelerator, Gtk::AccelGroupEntry, Gtk::AccelKey
  * Added and completed:
    * Gdk::Pango::Embossed, Gdk::Pango::Stipple, Gdk::Span
  * Added some methods, improved:
    * Gtk::Widget, Gtk::Calender, Gdk::GC, Gtk::Drag, Gtk::SelectionData,
      Gtk::RadioMenuItem,Gdk::Pixmap
  * Added:
    * sample/misc/dnd.rb, dndtreeview.rb, dnd.rb
  * Removed:
    * Gtk::AccelGroup#connect_by_path(use Gtk::AccelGroup#connect instead).

Ruby/GdkPixbuf:
  * Added GdkPixbufLoader. [Geoff Youngs]

Ruby/GNOME:
  * None.

Ruby/GnomeCanvas:
  * Warning fixes for samples. [Masao Mutoh]

Ruby/Libglade:
  * Added a sample(sample/treview.[glade|rb]). [Masao Mutoh]

Ruby/Libart:
  * Added Art::Affine, Art::Bpath, Art::Canvas, Art::SVP, Art::Vpath [Tom Payne]
  * Added samples(sample/rose.rb, testlibart2.rb). [Tom Payne]

Ruby/GConf:
  * None.

Ruby/Pango(NEW):
  * Initial release. [Geoff Youngs, Masao Mutoh]

  * Added and completed:
    * Pango::Rectangle, Pango::FontDescription, Pango::FontMetrics,
      Pango::FontFace, Pango::Fontset, Pango::FontsetSimple,
      Pango::Attribute, Pango::AttrString, Pango::AttrLanguage,
      Pango::AttrColor, Pango::AttrInt, Pango::AttrFloat, Pango::AttrBool
      Pango::AttrFontDesc, Pango::AttrShape, Pango::AttrFamily,
      Pango::AttrStyle, Pango::AttrVariant, Pango::AttrStretch,
      Pango::AttrWeight, Pango::AttrSize, Pango::AttrForeground,
      Pango::AttrBackground, Pango::AttrStrikethrough, Pango::AttrUnderline,
      Pango::AttrScale, Pango::AttrRise, Pango::Color, Pango::Language,
      Pango::AttrList, Pango::AttrIterator, Pango::TabArray
  * Added:
    * Pango::Context, Pango::Item, Pango::ClyphString, Pango::Font,
      Pango::FontFamily, Pango::FontMap, Pango::Layout, Pango::LayoutIter,
      Pango::LayoutLine,
      sample/attribute.rb, gdk_layout.rb, label.rb, parse.rb.

Misc
  * Project website
    http://ruby-gnome2.sourceforge.net/
  * Ruby/GTK Tutorial
    http://ruby-gnome2.sourceforge.net/tut/toc.htm
  * Ruby-GNOME2 reference manual(This project has just started).
    http://rwiki.jin.gr.jp/cgi-bin/rw-cgi.rb?cmd=view;name=Ruby-GNOME2


== Ruby-GNOME2 0.2: 2002-12-28

Ruby/GLib:
  * Some bugfixes and some improvement internal.

Ruby/GTK:
  * Some bugfixes and some improvement internal.
  * Require Ruby/GdkPixbuf.
  * Completed:
    * Gtk::TextIter, Gtk::Label, Gtk::Tooltips, Gtk::Viewport.
  * Added and completed:
    * Gtk::TextAttributes, Gtk::IconFactroy, Gtk::IconSet,
      Gtk::IconSource, Gtk::IconSize, Gtk::Accelerator,
      Gtk::AccelKey, Gtk::AccelGroupEntry, Gtk::SizeGroup,
  * Added some methods, improved:
    * Gtk module, Gtk::TextBuffer, Gtk::*MenuItem, Gtk::*Button,
      Gtk::ItemFactory, Gtk::Widget, Gtk::TreeViewColumn,
      Gtk::Notebook, Gtk::Image, Gtk::AccelLabel, Gtk::Invisible,
      Gtk::Dialog, Gtk::TreePath, Gdk::Keyval
      sample/misc/*button.rb, stock.rb
      sample/testgtk/savedposition.rb
  * Added:
    * Gtk::Clipboard, Gtk::AccelGroup, Gtk::AccelMap
      sample/misc/button2.rb, label.rb, dialog.rb, dialog2.rb,
      treeview.rb
  * Removed:
    * Gdk::Bitmap(use Gdk::Pixmap(depth = 1) instead)

Ruby/GdkPixbuf:
  * Follow Ruby/GLib changes.
  * Add Gdk::Pixdata.

Ruby/GNOME:
  * Follow Ruby/GLib changes.
  * Fix problems which Ruby/GNOME can't work with Ruby/GdkPixbuf.
  * Code cleanup.
  * Remove Bonobo codes(Move to Ruby/Bonobo).

Ruby/GnomeCanvas:
  * Follow Ruby/GLib changes.
  * Follow Ruby 1.8.0pre1, 1.6.8.

Ruby/Libglade:
  * Follow Ruby/GLib changes.
  * Add bin/ruby-glade-create-template(Create .rb from .glade)
  * Add sample/treeview*
  * Improve the behavior to work when handlers aren't undefined not
    to occur signal_proc.arity error.

Ruby/Libart:
  * Follow Ruby/GLib changes.

Ruby/GConf:
  * Follow Ruby/GLib changes.

Misc:
  * Project website:
    http://ruby-gnome2.sourceforge.net/
  * Ruby/GTK Tutorial:
    http://ruby-gnome2.sourceforge.net/tut/toc.htm
  * Ruby-GNOME2 reference manual(This project has just started).
    http://rwiki.jin.gr.jp/cgi-bin/rw-cgi.rb?cmd=view;name=Ruby-GNOME2

== Ruby-GNOME2 0.1: 2002-11-23

Initial release.

  * Ruby/GLib
  * Ruby/GTK
  * Ruby/GdkPixbuf
  * Ruby/GNOME
  * Ruby/GnomeCanvas
  * Ruby/Libglade
  * Ruby/Libart
  * Ruby/GConf
